<footer id="footer" class="jaw-footer row">
  <?php
$footer_class = array();
$footer_class[] = jwLayout::col_class(12);
$footer_class[] = 'copyright-preset-' . jwOpt::get_option('main_color');
$footer_class[] = 'jw-center-elements-' . jwOpt::get_option('show_centered_elements', 'off');

$left_part_class = array();
$show_menu = jwOpt::get_option('show_footer_menu', '0');
if($show_menu == '1'){
    $left_part_class[] = jwLayout::col_class(6);
}else{
    $left_part_class[] = jwLayout::col_class(12);
}
?>
    <div class="<?php echo esc_attr(implode(' ', $footer_class)); ?>">
      <?php
if(jwOpt::get_option('footer_style', 'footer-12') != "footer-off"){
    echo jaw_get_template_part(jwOpt::get_option('footer_style', 'footer-12'), 'footer');
}else{
    do_action('jaw_after_footer_widgets');
}
?>
        <?php if (jwOpt::get_option('show_copyright', 'on') == 'on') {

    $copyright_class = array();
    $copyright_class[] = 'jw-fullwidth-' . jwOpt::get_option('footer_fullwidth', 'off');
    ?>
          <div id="copyright" class="footer-copyright row <?php echo esc_attr(implode(' ', $copyright_class)); ?>">
            <div class="<?php echo esc_attr(implode(' ',$left_part_class)); ?>">
              <?php echo '<span>'.do_shortcode(jwOpt::get_option('footer_text', 'Copyright &copy; 2016 Design by <a href="http://www.jawtemplates.com/wordpress-themes/gday-news-magazine/">Jawtemplates.com</a>. <a href="https://www.wordpress-themes.market/best-wordpress-themes-for-blogs/">Best WordPress Themes For Magazines & Blogs 2017</a>')).'</span>'; ?>
                <?php
    if (jwOpt::get_option('show_responsive', '1')) {

        $responsive = esc_attr(jwOpt::get_option('responsive', '1'));
        echo '<a href="' . esc_url(add_query_arg(array('jaw_responsive' => $responsive), '//' . $_SERVER["HTTP_HOST"] . $_SERVER["REQUEST_URI"])) . '" class="jw-responsive">';
        if ($responsive == '1') {
            esc_html_e('Disable responsivity','gdn-theme');
        } else {
            esc_html_e('Allow responsivity','gdn-theme');
        }
        echo '</a>';
    }
    ?>
            </div>
            <?php if($show_menu == '1'){  ?>
            <!-- footer menu -->
            <div class="<?php echo esc_attr(jwLayout::col_class(6)); ?>">
              <nav class="footer-menu" role="navigation">
                <section>
                  <?php
                  if(has_nav_menu( 'footer_navigation' )){
                    wp_nav_menu(
                        array(
                        'theme_location' => 'footer_navigation',
                        )
                    );
                  } else {
                    echo jwUtils::jaw_msg(
                        sprintf(esc_html__('You have not set Footer Navigation in Menu Settings. Please %sclick here%s for setting it up.','gdn-theme'),'<a href="'.admin_url( 'nav-menus.php').'">','</a>'),"warning");
                  }
                    ?>
                    <div class="clear"></div>
                </section>
              </nav>
            </div>
            <!-- end footer menu -->
            <?php } ?>
          </div>
          <?php } ?>
    </div>
</footer>
</div>
<!-- End the template box -->
</div>
<!-- Container End -->
<!-- Custom Script in Footer -->
<script>
  <?php echo jwOpt::get_option('custom_js'); ?>
</script>

    </div>
    <?php
if (jwOpt::get_option('background_banner_show', '0')) {
    // linky
    echo jaw_get_template_part('banner_background', 'banners');
}
?>
