<div class="jaw-top-bar-content">
    <?php
    /**     * ********************* LEFT SIDE ****************************** */
    if (jwOpt::get_option('top_bar_date', '0') != '0') {
        echo '<div class="jaw-top-bar-item-left jaw-top-bar-date show-on-' . esc_attr(jwOpt::get_option('top_bar_date', '0')) . '">';
        //echo current_time(jwOpt::get_option('top_bar_date_format', 'F j, Y')); // @rami - 20.3.2017 - zakomentovane kvuli spatne lokalizaci (dal jsem date_i18n())
        echo date_i18n( jwOpt::get_option('top_bar_date_format', 'F j, Y')); 
        echo '</div>';
    }
    if (jwOpt::get_option('top_bar_text', '0') != '0') {
        echo '<div class="jaw-top-bar-item-left jaw-top-bar-text show-on-' . esc_attr(jwOpt::get_option('top_bar_text', '0')) . '">';
        echo do_shortcode(jwOpt::get_option('top_bar_text_content', ''));
        echo '</div>';
    }
    if (jwOpt::get_option('top_bar_menu', '0') != '0') {
        echo '<div class="jaw-top-bar-item-left jaw-top-bar-menu show-on-' . esc_attr(jwOpt::get_option('top_bar_menu', '0')) . '">';
        echo '<nav class="top-bar top-bar-jw menu-in-top-bar" role="navigation">';
        echo '<section>';
        if(has_nav_menu( 'top_bar_navigation' )){
            wp_nav_menu(
                array(
                'theme_location' => 'top_bar_navigation',
                )
            );
        } else {
            echo jwUtils::jaw_msg(sprintf(esc_html__('You have not set TopBar Navigation in Menu Settings. Please %sclick here%s for setting it up.','gdn-theme'),'<a href="'.admin_url( 'nav-menus.php').'"','</a>'),"warning");
        }
        echo '<div class="clear"></div>';
        echo '</section>';
        echo '</nav>';
        echo '</div>';
    }

    //MENU
    /**     * ********************* RIGHT SIDE ****************************** */
    if (jwOpt::get_option('top_bar_search', '0') != '0') {
        echo '<div class="jaw-top-bar-item-right jaw-top-bar-search jaw-popup-serarch show-on-' . esc_attr(jwOpt::get_option('top_bar_search', '0')) . '">';
        get_search_form();
        echo '</div>';
    }
// 
    
    if (jwOpt::get_option('top_bar_social', '0') != '0') {
        jaw_template_set_data(array(
            'social' => array(
                'facebook' => jwOpt::get_option('top_bar_social_facebook', ''),
                'twitter' => jwOpt::get_option('top_bar_social_twitter', ''),
                'google' => jwOpt::get_option('top_bar_social_google', ''),
                'youtube' => jwOpt::get_option('top_bar_social_youtube', ''),
                'vimeo' => jwOpt::get_option('top_bar_social_vimeo', ''),
                'flickr' => jwOpt::get_option('top_bar_social_flickr', ''),
                'linkedin' => jwOpt::get_option('top_bar_social_linkedin', ''),
                'pinterest' => jwOpt::get_option('top_bar_social_pinterest', ''),
                'instagram' => jwOpt::get_option('top_bar_social_instagram', '')
            ),
            'color' => 'inherit',
            'target' => '_blank'));
        echo '<div class="jaw-top-bar-item-right jaw-top-bar-social show-on-' . esc_attr(jwOpt::get_option('top_bar_social', '0')) . '">';
        echo jaw_get_template_part('social_icons', 'simple-shortcodes');
        echo '</div>';
    }
    ?>
    <div class="clear"></div>
</div>