<?php

$options = array();

$header_styles_img = array(
'bar_type_1' => JAW_ADMIN_URI . 'assets/images/left_border.png',
'bar_type_2' => JAW_ADMIN_URI . 'assets/images/top_bottom.png',
'bar_type_3' => JAW_ADMIN_URI . 'assets/images/with_background.png',
'bar_type_4' => JAW_ADMIN_URI . 'assets/images/bar_type_4.png',
'bar_type_big_left' => JAW_ADMIN_URI . 'assets/images/title_big_left.png',
'bar_type_big_center' => JAW_ADMIN_URI . 'assets/images/title_big_center.png',
'bar_type_big_right' => JAW_ADMIN_URI . 'assets/images/title_big_right.png',
);

$header_styles_img_default = array_merge(array('_default' => JAW_ADMIN_URI . 'assets/images/default_title.png'), $header_styles_img);

$sb_size = array(
'2' => 'Slim',
'3' => 'Normal',
'4' => 'Wide',
);
$post_layouts = array(
'fullwidth' => JAW_ADMIN_URI . 'assets/images/no_sidebar.gif',
'left1' => JAW_ADMIN_URI . 'assets/images/left_sidebar.gif',
'right1' => JAW_ADMIN_URI . 'assets/images/right_sidebar.gif',
'right1_left1' => JAW_ADMIN_URI . 'assets/images/right_left_sidebar.gif',
'right1_right2' => JAW_ADMIN_URI . 'assets/images/right_right_sidebar.gif',
'left1_left2' => JAW_ADMIN_URI . 'assets/images/left_left_sidebar.gif',
);

$sharing = false;
if (class_exists('mashshare')) { // mashare plugin
    $sharing = true;
}

/* Welcome ******************************************************* */
$options[] = array("name" => "Welcome",
"type" => "headingstart");

// Welcome page
$options[] = array(
"name" => "welcome",
"id" => "jaw_welcome",
"text" => "<p style='color:#1E8CBE;font-weight:bold;font-size:14px;'>Thank you</p><p>for your purchase! We were working very hard to release this awesome magazine! Enjoy :)</p><p>JaWTemplates Team</p>",
"type" => "info",
"space" => false,
"class" => "jw-welcome",
"message" => "description"
);


// Gettings start
$options[] = array(
"name" => "start",
"id" => "jaw_start",
"text" => "<p style='color:#EB504B;font-weight:bold;font-size:14px;'>Quick start</p><p>We've created for you simply step by step tutorial how to start working with this theme.</p><a href='http://support.jawtemplates.com/gdaynews/web/?p=904' target='_blank' class='of_link'>QUICK START</a>",
    "type" => "info",
"space" => false,
"class" => "jw-welcome",
"message" => "description"
);

// JaWTemplates demo
$options[] = array(
"name" => "demo",
"id" => "demo_data",
"text" => "<span rel='demodata'><p style='color:#EB504B;font-weight:bold;font-size:14px;'>Demo data</p><p>You can install demo data now with one click! It takes only a few minutes.</p><a href='#of-option-demodata' class='of_link jaw-goto-demodata' data-goto='demodata'>Install Now!</a>",
"type" => "info",
"space" => false,
"class" => "jw-welcome",
"message" => "description"
);

// JaWTemplates What's new
$options[] = array(
"name" => "What's new in this version",
"id" => "jaw_changelog",
"type" => "changelog",
"space" => false,
"class" => "jw-welcome",
"message" => "description"
);



// JaWTemplates Support
$options[] = array(
"name" => "support",
"id" => "jaw_support",
"text" => "<p style='color:#1E8CBE;font-weight:bold;font-size:14px;'>Support</p><p>Need some help? We provide excellent support to our customer. Try us!</p><a href='http://support.jawtemplates.com' class='of_link' target='_blank'>Get Support</a>",
"type" => "info",
"space" => false,
"class" => "jw-welcome",
"message" => "description"
);

// JaWTemplates Tutorial
$options[] = array(
"name" => "tutorial",
"id" => "jaw_tutorial",
"text" => "<p style='color:#1E8CBE;font-weight:bold;font-size:14px;'>Tutorials</p><p>You can do it! Try our special tutorials, it's so easy!</p><a href='http://support.jawtemplates.com/gdaynews/web/category/could-help/' class='of_link' target='_blank'>Let's do it</a>",
"type" => "info",
"space" => false,
"class" => "jw-welcome",
"message" => "description"
);

// JaWTemplates Tutorial
$options[] = array(
"name" => "documentation",
"id" => "jaw_documentation",
"text" => "<p style='color:#1E8CBE;font-weight:bold;font-size:14px;'>Documentation</p><p>Wanna see some advanced stuff?</p><a href='http://support.jawtemplates.com/gdaynews/web/' class='of_link' target='_blank'>Let me see</a>",
"type" => "info",
"space" => false,
"class" => "jw-welcome",
"message" => "description"
);

// JaWTemplates checker
$options[] = array(
"name" => "Theme Requirements",
"id" => "jaw_checker",
"type" => "checker",
"space" => false,
"class" => "jw-welcome",
"message" => "description"
);

// JaWTemplates Portfolio
$options[] = array(
"name" => "portfolio",
"id" => "portfolio",
"text" => "<p style='color:#1E8CBE;font-weight:bold;font-size:14px;'>Our Portfolio</p><p>You can simply find us here</p><a href='http://www.jawtemplates.com/wordpress-themes/gday-news-magazine/' class='of_link' target='_blank'>Portfolio</a>",
"type" => "info",
"space" => false,
"class" => "jw-welcome",
"message" => "description"
);

$options[] = array("type" => "headingend");
/* Welcome END ****************************************************** */

/* GENERAL ******************************************************* */
$options[] = array("name" => "General Settings",
"type" => "headingstart");

// 

$options[] = array(
'id' => 'responsive',
'type' => 'toggle',
'name' => 'Responsive Theme'. " " . jwUtils::getHelp("Responsive Theme", "If you turn it off, your viewers will be still able to turn it on by button in footer. (If you allow it in Theme Options -> Footer Settings -> Show Control of Responsivity)", "allowresponsivity.jpg") ,
'desc' => "Turn on or off the theme's responsivity.",
'std' => '1'
);

$options[] = array("name" => "Favicon". " " . jwUtils::getHelp("", "", "favicon-example.jpg", array(array(
'href' => 'http://www.favicon.cc/',
'title' => 'Favicon generator'
))) ,
"desc" => "Upload a 16px &times; 16px PNG/GIF image that will represent your website's favicon.",
"id" => "custom_favicon",
"std" => "",
"type" => "upload");

// 

$options[] = array(
'id' => 'isotope_grid',
'type' => 'toggle',
'name' => 'Masonry Effect'. " " . jwUtils::getHelp("", "", "masonry.jpg", array(array(
'href' => 'http://support.jawtemplates.com/gdaynews/web/?p=1559',
'title' => 'Documentation'
))),
'desc' => 'Turn On/Off the masonry (isotope) effect.',
'std' => '1'
);

// 

// 
$options[] = array(
'id' => 'get_pro_general',
'type' => 'lite_info',
'name' => 'Additional Options Available in PRO version',
'desc' => '',
"text" => '
    <li id="customize-control-gdn theme_options-custom_width" class="customize-control customize-control-text" style="display: list-item;">
        <label>
											<span class="customize-control-title">Custom Width of Site</span>
											<span class="description customize-control-description">Custom width of site in px</span>
										<input type="text" value="580" disabled>
				</label>
    </li>
    <li id="customize-control-gdn theme_options-global_header_style" class="customize-control customize-control-text" style="display: list-item;">
        <span class="customize-control-title">Global Heading Style</span>
      
        <span class="description customize-control-description">Select the heading style you prefer.<br><br>This setting affects look of the heading area of all the main elements on your website.</span>
        <label>
                <input type="radio" value="bar_type_1"  checked="checked" disabled>
                <img src="' . JAW_ADMIN_URI . 'assets/images/left_border.png"><br>
            </label>
        <label>
                <input type="radio" value="bar_type_2"  disabled>
                <img src="' . JAW_ADMIN_URI . 'assets/images/top_bottom.png"><br>
            </label>
        <label>
                <input type="radio" value="bar_type_3" disabled>
                <img src="' . JAW_ADMIN_URI . 'assets/images/with_background.png"><br>
            </label>
        <label>
                <input type="radio" value="bar_type_4" disabled>
                <img src="' . JAW_ADMIN_URI . 'assets/images/bar_type_4.png"><br>
            </label>
        <label>
                <input type="radio" value="bar_type_big_left" disabled>
                <img src="' . JAW_ADMIN_URI . 'assets/images/title_big_left.png"><br>
            </label>
        <label>
                <input type="radio" value="bar_type_big_center" disabled>
                <img src="' . JAW_ADMIN_URI . 'assets/images/title_big_center.png"><br>
            </label>
        <label>
                <input type="radio" value="bar_type_big_right" disabled>
                <img src="' . JAW_ADMIN_URI . 'assets/images/title_big_right.png"><br>
            </label>
    </li>
    <li id="customize-control-gdn theme_options-image_cropping" class="customize-control customize-control-text" style="display: list-item;">
        <span class="customize-control-title">Image Cropping</span>
       
        <span class="description customize-control-description">Decide whether or not to allow automatically cropping images (ratio 16:9) for better look.<br><br>NOTE: After you change this option, you will have to regenerate thumbnails via this plugin <a href="https://wordpress.org/plugins/simple-image-sizes/" title="WordPress.org | Simple Image Sizes plugin" target="_blank">Simple Image Sizes</a> plugin to take an effect.<br><br><strong>IMPORTANT:</strong> Do not forget to regenerate thumbnails in <strong>Settings &gt; Media</strong>.<br>For more information, please follow this <a href="http://support.jawtemplates.com/gdaynews/web/category/for-developers/">URL</a></span>
        <label>
                <input type="radio" value="0" disabled >
                Off<br>
            </label>
        <label>
                <input type="radio" value="1"  checked="checked" disabled>
                On<br>
            </label>
    </li>
    <li id="customize-control-gdn theme_options-scroll_load_images" class="customize-control customize-control-text"
        style="display: list-item;">
        <span class="customize-control-title">Lazyload Images</span>
        
        <span class="description customize-control-description">Reduces the amount of data. If turned On, images are loaded when the content is scrolled to them (works with some images only). <br><br>Option "Support HiDPI displays" load bigger images for HiDPI displays.</span>
        <label>
                <input type="radio" value="0"  checked="checked" disabled>
                Off<br>
            </label>
        <label>
                <input type="radio" value="1" disabled>
                On<br>
            </label>
        <label>
                <input type="radio" value="2" disabled>
                Support HiDPI displays<br>
            </label>
    </li>
    <li id="customize-control-gdn theme_options-image_hover_effect_type" class="customize-control customize-control-text"
        style="display: list-item;">
        <span class="customize-control-title">Image Hover Effect</span>
      
        <span class="description customize-control-description">Choose the hover effect you want to apply to an image when it is hovered over, or turn off use of effects.<br><br>NOTE: The chosen effect will be applied to the post boxes only.</span>
        <label>
                <input type="radio" value="0" disabled>
                Off<br>
            </label>
        <label>
                <input type="radio" value="zoomie"  checked="checked" disabled>
                Zoomie<br>
            </label>
        <label>
                <input type="radio" value="pulsie" disabled>
                Pulsie<br>
            </label>
        <label>
                <input type="radio" value="blackie" disabled>
                B&amp;W<br>
            </label>
    </li>
    <li id="customize-control-gdn theme_options-image_caption_toggle" class="customize-control customize-control-text"
        style="display: list-item;">
        <span class="customize-control-title">Image Caption Style  </span>
       
        <span class="description customize-control-description">Choose whether or not and where an image caption will be displayed in a single post.<br><br>NOTE: This does not work with featured image, but with images inside post only.</span>
        <label>
                <input type="radio" value="0" disabled>
                <img src="' . JAW_ADMIN_URI . 'assets/images/image_caption/image-capture-off.png"><br>
            </label>
        <label>
                <input type="radio" value="1"  checked="checked" disabled>
                <img src="' . JAW_ADMIN_URI . 'assets/images/image_caption/image-capture-in-image.png"><br>
            </label>
        <label>
                <input type="radio" value="2" disabled>
                <img src="' . JAW_ADMIN_URI . 'assets/images/image_caption/image-capture-under-image.png"><br>
            </label>
    </li>
    <li id="customize-control-gdn theme_options-totop_show" class="customize-control customize-control-text" style="display: list-item;">
        <span class="customize-control-title">To Top Arrow </span>
    
        <span class="description customize-control-description">Choose whether or not and on what kind of devices to show the "To Top" arrow.</span>
        <label>
                <input type="radio" value="0" disabled>
                Hide<br>
            </label>
        <label>
                <input type="radio" value="tablet"  checked="checked" disabled>
                <i class="jaw-icon-screen4"></i><i class="jaw-icon-tablet"></i><br>
            </label>
        <label>
                <input type="radio" value="phone" disabled>
                <i class="jaw-icon-screen4"></i><i class="jaw-icon-tablet"></i><i class="jaw-icon-mobile"></i><br>
            </label>
    </li>
    <li id="customize-control-gdn theme_options-switch_udate" class="customize-control customize-control-text" style="display: list-item;">
        <span class="customize-control-title">Notification of New Updates</span>
       
        <span class="description customize-control-description">Decide whether you want to be informed about new available updates.</span>
        <label>
                <input type="radio" value="0" disabled >
                Off<br>
            </label>
        <label>
                <input type="radio" value="1"  checked="checked" disabled>
                On<br>
            </label>
    </li>
    <li id="customize-control-gdn theme_options-theme_revoComposer" class="customize-control customize-control-text"
        style="display: list-item;">
        <span class="customize-control-title">Use RevoComposer Page Builder </span>
        <div class="customize-control-notifications-container"
            style="">
            <ul>

            </ul>
        </div>
        <span class="description customize-control-description">Decide whether or not to enable use of the RevoComposer page builder.</span>
        <label>
                <input type="radio" value="0" disabled>
                Off<br>
            </label>
        <label>
                <input type="radio" value="1"  checked="checked" disabled>
                On<br>
            </label>
    </li>
    <li id="customize-control-gdn theme_options-use_jaw_seo" class="customize-control customize-control-text" style="display: list-item;">
        <span class="customize-control-title">Use Built-in SEO</span>
       
        <span class="description customize-control-description">Turn the option on to use the theme built-in SEO, or turn it off if you prefer using another SEO plugin.<br><br>If turned on, meta tags for social networks will be added to your site\'s head.</span>
        <label>
                <input type="radio" value="0"  checked="checked" disabled>
                Off<br>
            </label>
        <label>
                <input type="radio" value="1" disabled>
                On<br>
            </label>
    </li>
    <li id="customize-control-gdn theme_options-use_jaw_seo_logo" class="customize-control customize-control-text" style="display: list-item;">
        <span class="customize-control-title">Logo in H1</span>
      
        <span class="description customize-control-description">Choose whether or not to place your logo between <code>H1</code> HTML tags. If the Off option has been selected, the logo is placed between <code>P</code> tags.</span>
        <label>
                <input type="radio" value="0" disabled>
                Off<br>
            </label>
        <label>
                <input type="radio" value="1"  checked="checked" disabled>
                On<br>
            </label>
    </li>
    <li id="customize-control-gdn theme_options-use_tel_links" class="customize-control customize-control-text" style="display: list-item;">
        <span class="customize-control-title">Use Telephone Links</span>
       
        <span class="description customize-control-description">If you plan use some telephone links (e.g. on contact page), please keep turning this on. If not, the iOS can restyle your default styles</span>
        <label>
                <input type="radio" value="0" disabled>
                Off<br>
            </label>
        <label>
                <input type="radio" value="1"  checked="checked" disabled>
                On<br>
            </label>
    </li>',
);
// 

$options[] = array("type" => "headingend");
/* GENERAL END ****************************************************** */

/* Header Settings ************************************************** */
$options[] = array("name" => "Logo Area",
"type" => "headingstart");

// 
$options[] = array( 
'id' => 'header_style',
"type" => "layout",
'name' => 'Header Layout'. ' ' . jwUtils::getHelp("Header Layout", "<strong>In Case of IN MENU layout</strong>, bear in mind, that height of the menu is taken from height of your logo. If RETINA READY LOGO option  is set on, this logo will be displayed in its half size.", "") ,
"extend" => '',
'desc' => 'Choose a preset number of columns to be available for your widgets in the header.',
'std' => 'l-center',
'class' => 'fullwidth-option',
"options" => array(
    'l-left' => JAW_ADMIN_URI . 'assets/images/l-left.png',
    'l-center' => JAW_ADMIN_URI . 'assets/images/l-center.png',
    'l-right' => JAW_ADMIN_URI . 'assets/images/l-right.png',
    'l-a' => JAW_ADMIN_URI . 'assets/images/l-a.png',
    'a-l' => JAW_ADMIN_URI . 'assets/images/a-l.png',
    // 
)
);
// 
/* * ***************** LOGO ****************** */
$options[] = array(
"name" => "Logo Settings",
"type" => "sectionstart");

$options[] = array("name" => "Logo",
"desc" => "Upload your logo or remove the uploaded one.",
"id" => "custom_logo",
"std" => "",
"type" => "upload");
// 

$options[] = array("name" => "Mobile Logo",
"desc" => "Upload your logo or remove the uploaded one.",
"id" => "custom_mobile_logo",
"std" => "",
"type" => "upload");

$options[] = array(
'id' => 'logo_retina_ready',
'type' => 'toggle',
'name' => 'Retina Ready Logo' . ' ' . jwUtils::getHelp("Retina resizing", "If it's set on, your logo will be displayed in its half size.", "",
array( array(
'href' => 'http://support.jawtemplates.com/gdaynews/web/documentation/goodday-news-magazine-settings/header-settings/header-area/',
'title' => 'documentation') )) ,
'desc' => 'Decide whether or not to display logo in high quality on the Retina displays.',
'std' => '1'
);

$options[] = array(
"type" => "sectionend");
/* * ***************** LOGO end ****************** */

// 
$options[] = array(
'id' => 'get_pro_logo',
'type' => 'lite_info',
'name' => 'Additional Options Available in PRO version',
'desc' => '',
"text" => '
    <li id="customize-control-gdn theme_options-header_fullwidth" class="customize-control customize-control-text" style="display: list-item;">
        <span class="customize-control-title">Width of Header Area</span>
        <span class="description customize-control-description">Decide whether or not to show your logo area over the entire width of page.</span>
        <label>
                <input type="radio" value="boxed" disabled>
                <img src="' . JAW_ADMIN_URI . 'assets/images/width_of_element/menu-boxed.png"><br>
            </label>
        <label>
                <input type="radio" value="off" disabled>
                <img src="' . JAW_ADMIN_URI . 'assets/images/width_of_element/menu-classical.png"><br>
            </label>
        <label>
                <input type="radio" value="on" disabled>
                <img src="' . JAW_ADMIN_URI . 'assets/images/width_of_element/menu-fullwidth.png"><br>
            </label>
    </li>
   
    <li id="customize-control-gdn theme_options-header_bar_type" class="customize-control customize-control-text" style="display: list-item;">
        <span class="customize-control-title">Widgets Title Style in Header</span>
        <span class="description customize-control-description">Select the heading style of custom widgets you prefer. <span class="jaw-default">Default: Global Settings &gt; Global Header Style</span></span>
        <label>
                <input type="radio" value="_default" disabled>
                <img src="' . JAW_ADMIN_URI . 'assets/images/default_title.png"><br>
            </label>
        <label>
                <input type="radio" value="bar_type_1" disabled>
                <img src="' . JAW_ADMIN_URI . 'assets/images/left_border.png"><br>
            </label>
        <label>
                <input type="radio" value="bar_type_2" disabled>
                <img src="' . JAW_ADMIN_URI . 'assets/images/top_bottom.png"><br>
            </label>
        <label>
                <input type="radio" value="bar_type_3" disabled>
                <img src="' . JAW_ADMIN_URI . 'assets/images/with_background.png"><br>
            </label>
        <label>
                <input type="radio" value="bar_type_4" disabled>
                <img src="' . JAW_ADMIN_URI . 'assets/images/bar_type_4.png"><br>
            </label>
        <label>
                <input type="radio" value="bar_type_big_left" disabled>
                <img src="' . JAW_ADMIN_URI . 'assets/images/title_big_left.png"><br>
            </label>
        <label>
                <input type="radio" value="bar_type_big_center" disabled>
                <img src="' . JAW_ADMIN_URI . 'assets/images/title_big_center.png"><br>
            </label>
        <label>
                <input type="radio" value="bar_type_big_right" disabled>
                <img src="' . JAW_ADMIN_URI . 'assets/images/title_big_right.png"><br>
            </label>
    </li>
   
    <li id="customize-control-gdn theme_options-custom_logo_fixed_menu" class="customize-control customize-control-upload"
        style="display: list-item;">
        <label for="gdn theme_options[custom_logo_fixed_menu]-button">
			
				<span class="customize-control-title">Logo in Fixed Menu</span>
			
			
		</label>
        <div class="attachment-media-view">
            <div class="placeholder">
                No file selected
            </div>
            <div class="actions">
                <button type="button" class="button upload-button" id="gdn theme_options[custom_logo_fixed_menu]-button">Select File</button>
                <div style="clear:both"></div>
            </div>
        </div>

    </li>
'
);
// 
$options[] = array("type" => "headingend");

/* * ***************** topbar ****************** */

// 

/* * ***************** MENU ****************** */
$options[] = array("name" => "Menu",
"type" => "headingstart");

$options[] = array(
"name" => "Menu",
"type" => "sectionstart");

// 



$options[] = array(
'id' => 'menu_align',
'type' => 'toggle',
'name' => 'Menu Align',
'desc' => '<strong>NOTE: You need to have installed JaW Menu plugin for this functionality.</strong><br><br>Choose the way to align your menu.',
    'std' => 'left',
"options" => array(
'left' => 'Left',
'center' => 'Center',
'justify' => 'Justify',
)
);

// 
$options[] = array(
"type" => "sectionend");


$options[] = array(
"name" => "Menu - Right area",
"type" => "sectionstart");
// 

$options[] = array(
'id' => 'user-panel-search',
'type' => 'toggle',
'name' => 'Show Search in Menu'. " " . jwUtils::getHelp("", "", "menu-search.jpg", array( array(
'href' => 'http://support.jawtemplates.com/gdaynews/web/documentation/goodday-news-magazine-settings/header-settings/top-bar/#ShowSearchinMenu',
'title' => 'documentation') )) ,
'desc' => 'Decide whether or not to show search in menu. <br><br>',
'std' => '1'
);

$options[] = array(
"name" => "Submit Message Button". " " . jwUtils::getHelp("", "", "menu-submit-message.jpg", array(
        array(
    'href' => 'http://support.jawtemplates.com/gdaynews/web/documentation/goodday-news-magazine-settings/header-settings/top-bar/#ShowSubmitMessageinMenu',
    'title' => 'documentation'),
        array(
    'href' => 'http://support.jawtemplates.com/gdaynews/web/?p=1203',
    'title' => 'tutorial')

     )) ,
"type" => "sectionstart");

if (class_exists('Popup_Maker')) {


    $options[] = array(
    'id' => 'user-panel-submit-message',
    'type' => 'toggle',
    'name' => 'Show Submit Message in Menu',
    'desc' => '',
    'std' => '0'
    );

    $options[] = array(
    'id' => 'user-panel-submit-message-style',
    'type' => 'text',
    'name' => 'Submit Message Text',
    'desc' => '',
    'std' => 'Leave a Tip'
    );

    $options[] = array(
    'id' => 'user-panel-submit-message-modal_id',
    'type' => 'text',
    'name' => 'Popup Maker ID'. " " . jwUtils::getHelp("Where to get Popup Maker ID", "Go to Popup Marker -> All Popups -> and copy number from Classes. Take a look at this image:", "popupmakerid.jpg",
        array( array(
        'href' => 'http://docs.wppopupmaker.com/',
        'title' => 'plugin documentation') )
    ) ,
    'desc' => 'Go to Popup Marker -> All Popups -> and copy number from Classes',
    'std' => ''
    );
} else {
        $options[] = array(
            'id' => 'user-panel-submit-message_info',
            "name" => "Popup Maker Plugin Only",
            "text" => 'Please Activate Popup Maker Plugin <a target="_blank" href="'.admin_url('plugins.php').'">here</a>',
            "type" => "info",
            "space" => false,
            "message" => "info"
        );
}

$options[] = array(
"type" => "sectionend");

$options[] = array(
"type" => "sectionend");


$options[] = array(
"name" => "SubMenu",
"type" => "sectionstart");

$options[] = array(
'id' => 'submenu_color',
'type' => 'select_preset',
"target" => "color",
'name' => '<i class="jaw-icon-palette jaw-preset-icon"></i> SubMenu Color Scheme',
'desc' => "<strong>NOTE: You need to have installed JaW Menu plugin for this functionality.</strong><br><br>Select a color scheme from this list of those you have created in <strong>Styling Options > Color Schemes</strong>. Colors from the chosen color preset will be applied to your menu. <br><br>DEFAULT: <a href='#of-option-menu' class='jaw-goto-menu' data-goto='menu' data-highlight='menu_color'><strong>Theme Options -> Header Settings -> Menu -> Menu Color Scheme</strong></a>",
'std' => '-1',

);
$options[] = array(
"type" => "sectionend");

/* * ***************** MENU end ****************** */


/* * ***************** MOBILE MENU ****************** */
$options[] = array(
"name" => "Mobile Menu",
"type" => "sectionstart");

$options[] = array(
'id' => 'mobile_menu_color',
'type' => 'select_preset',
"target" => "color",
'name' => '<i class="jaw-icon-palette jaw-preset-icon"></i> Mobile Menu Color Scheme',
'desc' => "<strong>NOTE: You need to have installed JaW Menu plugin for this functionality.</strong><br><br>Select a color scheme from this list of those you have created in <strong>Styling Options > Main Color Scheme</strong>. Colors from the chosen color preset will be applied to your mobile menu. <br><br>DEFAULT: <a href='#of-option-menu' class='jaw-goto-menu' data-goto='menu' data-highlight='menu_color'><strong>Theme Options -> Header Settings -> Menu -> Menu Color Scheme</strong></a>",
    'std' => '-1',

);

$options[] = array(
'id' => 'mobile_menu_bar_fix',
'type' => 'toggle',
'name' => 'Fixed Mobile Menu Bar',
'desc' => 'Turn on this option if the top menu bar has to be permanently displayed, independently on scrolling the page.',
    'std' => '0'
);

// 
$options[] = array(
'id' => 'mobile_menu_show_search',
'type' => 'toggle',
'name' => 'Show Search in  Mobile menu'. " " . jwUtils::getHelp("", "", "mobilemenu-search.jpg", array( array(
'href' => 'http://support.jawtemplates.com/gdaynews/web/documentation/goodday-news-magazine-settings/header-settings/top-bar/#ShowSearch',
'title' => 'documentation') )) ,
'desc' => 'Choose whether or not to show the Search bar.',
'std' => '1'
);

$options[] = array(
"type" => "sectionend");

// 
$options[] = array(
'id' => 'get_pro_menu',
'type' => 'lite_info',
'name' => 'Additional Options Available in PRO version',
"text" => '
<li id="customize-control-gdn theme_options-menu_style_type" class="customize-control customize-control-text" style="display: list-item;">
    <span class="customize-control-title">Menu Style</span>
    <span class="description customize-control-description"><strong>NOTE: You need to have installed JaW Menu plugin for this functionality.</strong><br><br>Select the menu style you prefer.</span>
    <label>
                <input type="radio" value="simple" disabled>
                <img src="' . JAW_ADMIN_URI . 'assets/images/menu-simple.png"><br>
            </label>
    <label>
                <input type="radio" value="classic" disabled>
                <img src="' . JAW_ADMIN_URI . 'assets/images/menu-classic.png"><br>
            </label>
    <label>
                <input type="radio" value="colored" disabled>
                <img src="' . JAW_ADMIN_URI . 'assets/images/menu-classic-colored.png"><br>
            </label>
</li>
<li id="customize-control-gdn theme_options-menu_fullwidth" class="customize-control customize-control-text" style="display: list-item;">
    <span class="customize-control-title">Width of Menu</span>
    <span class="description customize-control-description">Decide whether or not to show your menu bar of your page. You can choose Boxed, Classical, Fullwidth Background or Boxed with Fulwidth Background.</span>
    <label>
                <input type="radio" value="boxed" disabled>
                <img src="' . JAW_ADMIN_URI . 'assets/images/width_of_element/menu-boxed.png"><br>
            </label>
    <label>
                <input type="radio" value="off" disabled>
                <img src="' . JAW_ADMIN_URI . 'assets/images/width_of_element/menu-classical.png"><br>
            </label>
    <label>
                <input type="radio" value="on" disabled>
                <img src="' . JAW_ADMIN_URI . 'assets/images/width_of_element/menu-fullwidth.png"><br>
            </label>
    <label>
                <input type="radio" value="on-shrinked" disabled>
                <img src="' . JAW_ADMIN_URI . 'assets/images/width_of_element/menu-shrink-fullwidth.png"><br>
            </label>
</li>
<li id="customize-control-gdn theme_options-menu_bar_fix" class="customize-control customize-control-text" style="display: list-item;">
    <span class="customize-control-title">Fixed Menu Bar</span>
    <span class="description customize-control-description">Turn on this option if the top menu bar has to be easy reachable for readers.</span>
    <label>
                <input type="radio" value="0" disabled>
                Off<br>
            </label>
    <label>
                <input type="radio" value="1" disabled>
                Permanently visible<br>
            </label>
    <label>
                <input type="radio" value="2" disabled>
                Show when scroll up<br>
            </label>
</li>
<li id="customize-control-gdn theme_options-logo_in_menu_bar_fix" class="customize-control customize-control-text" style="display: list-item;">
    <span class="customize-control-title">Logo in Fixed Menu Bar</span>
    <span class="description customize-control-description">Please set logo in <a href="#of-option-logoarea" class="jaw-goto-logoarea" data-goto="logoarea" data-highlight="custom_logo_fixed_menu">Header Settings -&gt; Logo Area -&gt; Logo in Fixed Menu</a></span>
    <label>
                <input type="radio" value="0" disabled>
                Off<br>
            </label>
    <label>
                <input type="radio" value="1" disabled>
                On<br>
            </label>
</li>
<li id="customize-control-gdn theme_options-use_user_panel" class="customize-control customize-control-text" style="display: list-item;">
    <span class="customize-control-title">Show My News Panel in Menu </span>
    <span class="description customize-control-description">Decide whether or not to show My News Panel in menu. <br><br>While readers are logged in, this feature enables them to select what they are interested in, and (depending on other settings) show their favorities, recently read news etc. in well arranged groups.<br><br>Detailed settings for this area is in <a href="#of-option-mynews" class="jaw-goto-logoarea" data-goto="mynews">Theme Options -&gt; MyNews</a><br><br>Check also your setting of <a href="#of-option-mynews" class="jaw-goto-mynews" data-goto="mynews" data-highlight="user_account_pageid">User Account Front End Page</a></span>
    <label>
                <input type="radio" value="0" disabled>
                Off<br>
            </label>
    <label>
                <input type="radio" value="1" disabled>
                On<br>
            </label>
</li>
<li id="customize-control-gdn theme_options-mobile_menu_bar_fix" class="customize-control customize-control-text" style="display: list-item;">
    <span class="customize-control-title">Fixed Mobile Menu Bar</span>
    <span class="description customize-control-description">Turn on this option if the top menu bar has to be permanently displayed, independently on scrolling the page.</span>
    <label>
                <input type="radio" value="0" disabled>
                Off<br>
            </label>
    <label>
                <input type="radio" value="1" disabled>
                On<br>
            </label>
</li>
<li id="customize-control-gdn theme_options-mobile_menu_show_login" class="customize-control customize-control-text"
    style="display: list-item;">
    <span class="customize-control-title">Show Login / MyNews </span>
    <span class="description customize-control-description">Choose whether or not to Show Login / MyNews.</span>
    <label>
                <input type="radio" value="0" disabled>
                Off<br>
            </label>
    <label>
                <input type="radio" value="1" disabled>
                Login<br>
            </label>
    <label>
                <input type="radio" value="2" disabled>
                Login + MyNews<br>
            </label>
</li>
'
);
// 

$options[] = array("type" => "headingend");
/* * **************** MOBILE MENU END ***************** */

/* * ******************* breadcrumbs **************** */
$options[] = array(
"name" => "Breadcrumbs",
"type" => "headingstart"
);
// 

$options[] = array("type" => "headingend");
/* End Header Settings ********************************************** */

/* Featured Area Settings ******************************************* */
//background
// 

/* End Featured Area ************************************************ */

$options[] = array(
"name" => "Footer",
"type" => "headingstart"
);

// 

$options[] = array(
'id' => 'footer_style',
"type" => "layout",
'name' => 'Footer Layout',
"extend" => '',
'desc' => 'Choose a preset number of columns to be available for your widgets in the footer.',
    'std' => 'footer-3-3-3-3',
'class' => 'fullwidth-option',
"options" => array(
'footer-3-3-3-3' => JAW_ADMIN_URI . 'assets/images/f-4-4-4-4.png',
'footer-4-4-4' => JAW_ADMIN_URI . 'assets/images/f-3-3-3.png',
'footer-6-6' => JAW_ADMIN_URI . 'assets/images/f-2-2.png',
'footer-4-8' => JAW_ADMIN_URI . 'assets/images/f-3-33.png',
'footer-12' => JAW_ADMIN_URI . 'assets/images/f-1.png',
'footer-off' => JAW_ADMIN_URI . 'assets/images/no-footer.png'
)
);

// 
$options[] = array(
'id' => 'show_centered_elements',
'type' => 'toggle',
'name' => 'Center Elements',
'desc' => 'Decide whether or not to center your elements in the footer.',
'std' => 'off',
"options" => array("off" => "Off", "on" => "On")
);

$options[] = array(
'id' => 'show_copyright',
'type' => 'toggle',
'name' => 'Show Copyright',
'desc' => 'Decide whether or not to display your copyright info in the footer.',
'std' => 'on',
"options" => array("off" => "Off", "on" => "On")
);

$options[] = array(
'id' => 'show_responsive',
'type' => 'toggle',
'name' => 'Show Control of Responsivity'. " " . jwUtils::getHelp("", "", "allowresponsivity.jpg"),
'desc' => 'Choose whether or not to show option for turning on/off responsivity in the footer.',
    'std' => '1',
"options" => array("0" => "Off","1" => "On")
);

// 

$options[] = array("name" => "Copyright Text",
"desc" => "Fill the field with your own plain or HTML tagged text to be displayed in the footer.",
"id" => "footer_text",
"std" => 'Copyright &copy; 2016 Design by <a href="http://www.jawtemplates.com/wordpress-themes/gday-news-magazine/">Jawtemplates.com</a>. <a href="https://www.wordpress-themes.market/best-wordpress-themes-for-blogs/">Best WordPress Themes For Magazines & Blogs 2017</a>',
"mod" => "html",
"type" => "ace_editor");

// 
$options[] = array(
'id' => 'get_pro_footer',
'type' => 'lite_info',
'name' => 'Additional Options Available in PRO version',
"text" => '<li id="customize-control-gdn theme_options-footer_fullwidth" class="customize-control customize-control-text" style="display: list-item;">
    <span class="customize-control-title">Width of Footer Area</span>
    <span class="description customize-control-description">Decide whether or not to show your footer area over the entire width of page.</span>
    <label>
                <input type="radio" value="boxed" disabled>
                <img src="' . JAW_ADMIN_URI . 'assets/images/width_of_element/menu-boxed.png"><br>
            </label>
    <label>
                <input type="radio" value="off" disabled>
                <img src="' . JAW_ADMIN_URI . 'assets/images/width_of_element/menu-classical.png"><br>
            </label>
    <label>
                <input type="radio" value="on" disabled>
                <img src="' . JAW_ADMIN_URI . 'assets/images/width_of_element/menu-fullwidth.png"><br>
            </label>
</li>
<li id="customize-control-gdn theme_options-footer_bar_type" class="customize-control customize-control-text" style="display: list-item;">
    <span class="customize-control-title">Widgets Title Style in Footer</span>
    <span class="description customize-control-description">Select the heading style of custom widgets you prefer.<br><span class="jaw-default">Default: General Settings &gt; Global Header Style</span></span>
    <label>
                <input type="radio" value="_default" disabled>
                <img src="' . JAW_ADMIN_URI . 'assets/images/default_title.png"><br>
            </label>
    <label>
                <input type="radio" value="bar_type_1" disabled>
                <img src="' . JAW_ADMIN_URI . 'assets/images/left_border.png"><br>
            </label>
    <label>
                <input type="radio" value="bar_type_2" disabled>
                <img src="' . JAW_ADMIN_URI . 'assets/images/top_bottom.png"><br>
            </label>
    <label>
                <input type="radio" value="bar_type_3" disabled>
                <img src="' . JAW_ADMIN_URI . 'assets/images/with_background.png"><br>
            </label>
    <label>
                <input type="radio" value="bar_type_4" disabled>
                <img src="' . JAW_ADMIN_URI . 'assets/images/bar_type_4.png"><br>
            </label>
    <label>
                <input type="radio" value="bar_type_big_left" disabled>
                <img src="' . JAW_ADMIN_URI . 'assets/images/title_big_left.png"><br>
            </label>
    <label>
                <input type="radio" value="bar_type_big_center" disabled>
                <img src="' . JAW_ADMIN_URI . 'assets/images/title_big_center.png"><br>
            </label>
    <label>
                <input type="radio" value="bar_type_big_right" disabled>
                <img src="' . JAW_ADMIN_URI . 'assets/images/title_big_right.png"><br>
            </label>
</li>
<li id="customize-control-gdn theme_options-show_footer_menu" class="customize-control customize-control-text" style="display: list-item;">
    <span class="customize-control-title">Show Menu</span>
    <span class="description customize-control-description">Choose whether or not to show menu in the footer.</span>
    <label>
                <input type="radio" value="0" disabled>
                Off<br>
            </label>
    <label>
                <input type="radio" value="1" disabled>
                On<br>
            </label>
</li>'
);
// 
$options[] = array("type" => "headingend");


/* My News Settings ******************************************* */

$options[] = array("name" => "My News",
"type" => "headingstart");


// 


$options[] = array("type" => "headingend");



/* End My News************************************************ */


/* Posts settings ************************************************************* */
$options[] = array(
"name" => "Posts Settings",
"type" => "headingstart"
);


$options[] = array(
'id' => 'archive_preset',
'type' => 'options_preset',
'name' => '<i class="jaw-icon-stack-list jaw-preset-icon"></i> Search/Archive/Tags/Author Preset',
'desc' => "Create new preset or select an existing one.<br><br>The preset will be applied when search, archives or tags are displayed, and will be used as default for categories (if the category does not have set any preset).",
    'target' => 'category',
);


$options[] = array("name" => "After Cut Text",
"desc" => "Enter a text to be shown after cut text (e.g. ...).",
"id" => "excerpt_text",
"std" => '...',
"type" => "text",
'mod' => 'small'
);

$options[] = array(
'id' => 'show_readmore',
'type' => 'toggle',
'name' => 'Show Readmore Link',
'desc' => '',
'std' => '0',
"options" => array("0" => "Off", "1" => "On")
);

$options[] = array("name" => "Readmore Link Text",
"desc" => "Enter a text to be shown after post excerpt (e.g. Read more).",
"id" => "readmore_text",
"std" => 'Read more',
"type" => "text",
"ng-class" => "{'jw-disabled': edit['show_readmore']=='0'}",
'mod' => 'small'
);



$options[] = array("type" => "headingend");

/* BLOG ********************************************************************* */
$options[] = array(
"name" => "Main Blog",
"type" => "headingstart"
);

// 

$options[] = array("type" => "headingend");
/* BLOG END ***************************************************************** */

/* SINGLE POST ************************************************************** */
$options[] = array("name" => "Single Post",
"type" => "headingstart"
);
// 
    $options[] = array("type" => "headingend");
    /* SINGLE END *************************************************************** */

    /* GALLERY SETTINGS START ********************************************************** */
    if (is_plugin_active('jaw-customposts/jawcustomposts.php')) {
        $options[] = array("name" => "JaW Gallery Settings",
        "type" => "headingstart");


        $options[] = array(
        'id' => 'media_gallery_color',
        'type' => 'select_preset',
        "target" => "color",
        'name' => '<i class="jaw-icon-palette jaw-preset-icon"></i> Gallery Color Scheme' .jwUtils::getHelp("", "", "gallery.jpg"),
        'desc' => "Select a color scheme from this list of those you have created in <strong>Styling Options > Main Color Scheme</strong>.<br><br>DEFAULT: <a href='#of-option-colorsettings' class='jaw-goto-colorsettings' data-goto='colorsettings' data-highlight='main_color'><strong>Theme Options -> Styling Options -> Collor Settings -> Main Color Scheme</strong></a>",
        'std' => 'blue',
        );
        $options[] = array("name" => "Embedded Icon"." ".jwUtils::getHelp("", "", "embed_image.jpg"),
        "desc" => "Upload a square PNG/GIF icon that will represent content of the items (another than e.g. images or video) you put in your gallery via iframe.",
        "id" => "gallery_embed_pic",
        "std" => '',
        "type" => "simple_media_picker");




        $options[] = array("type" => "headingend");
    }
    /* GALLERY SETTINGS END ********************************************************** */


    /* BuddyPress SETTINGS START ********************************************************** */
    if (class_exists('BuddyPress')) {
        $options[] = array(
            "name" => "BuddyPress",
            "type" => "headingstart"
        );


        $options[] = array(
            "name" => "BuddyPress Layout",
            "desc" => "Choose one of the preset layouts for your BuddyPress. ",
            "id" => "buddy_press_layout",
            "std" => 'fullwidth',
            "type" => "layout",
            "options" => array(
            'fullwidth' => JAW_ADMIN_URI . 'assets/images/no_sidebar.gif',
            'left1' => JAW_ADMIN_URI . 'assets/images/left_sidebar.gif',
            'right1' => JAW_ADMIN_URI . 'assets/images/right_sidebar.gif',
            'right1_left1' => JAW_ADMIN_URI . 'assets/images/right_left_sidebar.gif',
            'right1_right2' => JAW_ADMIN_URI . 'assets/images/right_right_sidebar.gif',
            'left1_left2' => JAW_ADMIN_URI . 'assets/images/left_left_sidebar.gif')
        );

        $options[] = array(
            "name" => "Left sidebar",
            "type" => "sectionstart",
            "ng-show" => "edit['buddy_press_layout']=='left1_left2' || edit['buddy_press_layout']=='right1_left1' || edit['buddy_press_layout']=='left1'"
        );


        $options[] = array(
            'id' => 'buddy_press_sidebar_left1',
            'type' => 'sidebar_select',
            'name' => 'BuddyPress Left Sidebar',
            'desc' => 'Select an optional sidebar from the list of those you have created in <br>Sidebar Manager</b>.',
            'mod' => 'medium'
        );
        $options[] = array(
            'id' => 'buddy_press_sidebar_left1_size',
            'name' => 'Size',
            'desc' => '',
            "std" => '3',
            "type" => "select",
            "options" => $sb_size
        );

        $options[] = array(
            'id' => 'buddy_press_sidebar_left1_color',
            'name' => '<i class="jaw-icon-palette jaw-preset-icon"></i> Color',
            'desc' => "DEFAULT: <a href='#of-option-colorsettings' class='jaw-goto-colorsettings' data-goto='colorsettings' data-highlight='main_color'><strong>Theme Options -> Styling Options -> Collor Settings -> Main Color Scheme</strong></a>",
            'type' => 'select_preset',
            "target" => "color"
        );
        $options[] = array(
            'id' => 'buddy_press_sidebar_left1_header_style',
            'type' => 'layout',
            'name' => 'Sidebars Individual Style',
            'desc' => 'Select the heading style of custom sidebars you prefer. Click the preview icon to see where the setting appears. <span class="jaw-default">Default: Theme Options -> Posts Settings -> Search/Archive/Category Layout</span>',
            'std' => '_default',
            "options" => $header_styles_img_default
        );

        $options[] = array(
            "type" => "sectionend"
        );

        $options[] = array(
            "name" => "Left 2 sidebar",
            "type" => "sectionstart",
            "ng-show" => "edit['buddy_press_layout']=='left1_left2'"
        );

        $options[] = array(
            'id' => 'buddy_press_sidebar_left2',
            'type' => 'sidebar_select',
            'name' => 'BuddyPress Left Sidebar',
            'desc' => 'Select an optional sidebar from the list of those you have created in <br>Sidebar Manager</b>.',
            'std' => null,
            'mod' => 'medium'
        );

        $options[] = array(
            'id' => 'buddy_press_sidebar_left2_size',
            'name' => 'Size',
            'desc' => '',
            "std" => '3',
            "type" => "select",
            "options" => $sb_size
        );

        $options[] = array(
            'id' => 'buddy_press_sidebar_left2_color',
            'name' => '<i class="jaw-icon-palette jaw-preset-icon"></i> Color',
            'desc' => "DEFAULT: <a href='#of-option-colorsettings' class='jaw-goto-colorsettings' data-goto='colorsettings' data-highlight='main_color'><strong>Theme Options -> Styling Options -> Collor Settings -> Main Color Scheme</strong></a>",
            "std" => '_default',
            'type' => 'select_preset',
            "target" => "color"
        );

        $options[] = array(
            'id' => 'buddy_press_sidebar_left2_header_style',
            'type' => 'layout',
            'name' => 'Sidebars Individual Style',
            'desc' => 'Select the heading style of custom sidebars you prefer. Click the preview icon to see where the setting appears. <span class="jaw-default">Default: Theme Options -> Posts Settings -> Search/Archive/Category Layout</span>',
            'std' => '_default',
            "options" => $header_styles_img_default
        );

        $options[] = array(
            "type" => "sectionend"
        );


        $options[] = array(
            "name" => "Right sidebar",
            "type" => "sectionstart",
            "ng-show" => "edit['buddy_press_layout']=='right1_right2' || edit['buddy_press_layout']=='right1_left1' || edit['buddy_press_layout']=='right1'"
        );

        $options[] = array(
            'id' => 'buddy_press_sidebar_right1',
            'type' => 'sidebar_select',
            'name' => 'BuddyPress Right Sidebar',
            'desc' => 'Select an optional sidebar from the list of those you have created in <br>Sidebar Manager</b>.',
            'std' => null,
            'mod' => 'medium'
        );

        $options[] = array(
            'id' => 'buddy_press_sidebar_right1_size',
            'name' => 'Size',
            'desc' => '',
            "std" => '3',
            "type" => "select",
            "options" => $sb_size
        );

        $options[] = array(
            'id' => 'buddy_press_sidebar_right1_color',
            'name' => '<i class="jaw-icon-palette jaw-preset-icon"></i> Color',
            'desc' => "DEFAULT: <a href='#of-option-colorsettings' class='jaw-goto-colorsettings' data-goto='colorsettings' data-highlight='main_color'><strong>Theme Options -> Styling Options -> Collor Settings -> Main Color Scheme</strong></a>",
            "std" => '_default',
            'type' => 'select_preset',
            "target" => "color"
        );

        $options[] = array(
            'id' => 'sidebar_right1_header_style',
            'type' => 'layout',
            'name' => 'Sidebars Individual Style',
            'desc' => 'Select the heading style of custom sidebars you prefer. Click the preview icon to see where the setting appears. <span class="jaw-default">Default: Theme Options -> Posts Settings -> Search/Archive/Category Layout</span>',
            'std' => '_default',
            "options" => $header_styles_img_default
        );

        $options[] = array(
            "type" => "sectionend"
        );

        $options[] = array(
            "name" => "Right 2 sidebar",
            "type" => "sectionstart",
            "ng-show" => "edit['buddy_press_layout']=='right1_right2'"
        );


        $options[] = array(
            'id' => 'buddy_press_sidebar_right2',
            'type' => 'sidebar_select',
            'name' => 'BuddyPress Right 2 Sidebar',
            'desc' => 'Select an optional sidebar from the list of those you have created in <br>Sidebar Manager</b>.',
            'std' => null,
            'mod' => 'medium'
        );

        $options[] = array(
            'id' => 'buddy_press_sidebar_right2_size',
            'name' => 'Size',
            'desc' => '',
            "std" => '3',
            "type" => "select",
            "options" => $sb_size
        );

        $options[] = array(
            'id' => 'buddy_press_sidebar_right2_color',
            'name' => '<i class="jaw-icon-palette jaw-preset-icon"></i> Color',
            'desc' => "DEFAULT: <a href='#of-option-colorsettings' class='jaw-goto-colorsettings' data-goto='colorsettings' data-highlight='main_color'><strong>Theme Options -> Styling Options -> Collor Settings -> Main Color Scheme</strong></a>",
            "std" => '_default',
            'type' => 'select_preset',
            "target" => "color"
        );

        $options[] = array(
            'id' => 'buddy_press_sidebar_right2_header_style',
            'type' => 'layout',
            'name' => 'Sidebars Individual Style',
            'desc' => 'Select the heading style of custom sidebars you prefer. Click the preview icon to see where the setting appears. <span class="jaw-default">Default: Theme Options -> Posts Settings -> Search/Archive/Category Layout</span>',
            'std' => '_default',
            "options" => $header_styles_img_default
        );

        $options[] = array(
            "type" => "sectionend"
        );

        $options[] = array("type" => "headingend");
    }
    /* BuddyPress SETTINGS END ********************************************************** */

    /* SIDEBAR MANAGER ********************************************************** */
    $options[] = array("name" => "Sidebar Manager",
    "type" => "headingstart");
// 

    $options[] = array("type" => "headingend");
    /* SIDEBAR MANAGER END ****************************************************** */

    /* STYLING ****************************************************************** */
    $options[] = array("name" => "Background Style",
    "type" => "headingstart");

// 

    $options[] = array("type" => "headingend");

// 
// 

    /* Typography Options ****************************************************************** */
    $options[] = array("name" => "Typography Options",
    "type" => "headingstart");
// 
    $options[] = array(
    "name" => "Preload google fonts",
    "type" => "sectionstart");

    $options[] = array(
    'id' => 'preload_google_fonts',
    'type' => 'toggle',
    'name' => 'Preload google fonts',
    'desc' => 'Load all selected google fonts after page load to avoid flicking fonts after hover etc..',
    'std' => '0'
    );

    $options[] = array(
    "type" => "sectionend");

    $options[] = array(
    "name" => "Character Subsets for Google Fonts",
        "type" => "sectionstart");

    $options[] = array(
    "name" => "Specifying script subsets",
    "id" => "fonts-info2",
    "text" => "<h3>Specifying script subsets</h3><i class='jaw-icon-info'></i> Some of the fonts in the Google Font Directory support multiple scripts (like Latin and Cyrillic for example). In order to specify which subsets should be downloaded, please turn on these toggles.",
        "type" => "info",
    "space" => false,
    "message" => "info"
    );

    $options[] = array(
    'id' => 'latin_support',
    'type' => 'toggle',
    'name' => 'Latin Support',
    'desc' => 'Load the font file with support for Latin charset if possible.',
        'std' => '0'
    );

    $options[] = array(
    'id' => 'latin-ext_support',
    'type' => 'toggle',
    'name' => 'Latin Extended Support',
    'desc' => 'Load the font file with support for Latin extended charset if possible.',
        'std' => '0'
    );

    $options[] = array(
    'id' => 'cyrillic_support',
    'type' => 'toggle',
    'name' => 'Cyrillic Support',
    'desc' => 'Load the font file with support for Cyrillic charset if possible.',
        'std' => '0'
    );

    $options[] = array(
    'id' => 'cyrillic-ext_support',
    'type' => 'toggle',
    'name' => 'Cyrillic Extended Support',
    'desc' => 'Load the font file with support for Cyrillic extended charset if possible.',
        'std' => '0'
    );

    $options[] = array(
    'id' => 'greek_support',
    'type' => 'toggle',
    'name' => 'Greek Support',
    'desc' => 'Load the font file with support for Greek charset if possible.',
        'std' => '0'
    );

    $options[] = array(
    'id' => 'greek-ext_support',
    'type' => 'toggle',
    'name' => 'Greek Extended Support',
    'desc' => 'Load the font file with support for Greek extended charset if possible.',
        'std' => '0'
    );

    $options[] = array(
    'id' => 'devanagari_support',
    'type' => 'toggle',
    'name' => 'Devanagari Support',
    'desc' => 'Load the font file with support for Devanagari charset if possible.',
        'std' => '0'
    );

    $options[] = array(
    'id' => 'vietnamese_support',
    'type' => 'toggle',
    'name' => 'Vietnamese Support',
    'desc' => 'Load the font file with support for Vietnamese charset if possible.',
        'std' => '0'
    );

    $options[] = array(
    'id' => 'khemer_support',
    'type' => 'toggle',
    'name' => 'Khemer Support',
    'desc' => 'Load the font file with support for Khemer charset if possible.',
        'std' => '0'
    );


// 
$options[] = array(
'id' => 'get_pro_fonts',
'type' => 'lite_info',
'name' => 'Additional Options Available in PRO version',
'text' => 'In PRO version you\'re able to controll typography of every corner of your sites.' 
);
// 

    $options[] = array(
    "type" => "sectionend");



    $options[] = array("type" => "headingend");
    /* STYLING END ******************************************************* */

    /* CUSTOM CSS ************************************************************* */
// 
    /* CUSTOM CSS END ************************************************** */

    /* CUSTOM JS ************************************************************* */
// 
    /* CUSTOM END ************************************************** */

    /* BANNERY  ********************************************************* */
// 
    // HEADER banner
    $options[] = array(
    "name" => " Banner Header - Beside Logo",
// 
    "type" => "headingstart"
    );

    $options[] = array(
    "name" => "info",
    "id" => "leader-info",
    "src" => 'beside-logo.jpg',
    "type" => "help_image",
    );

    $options[] = array(
    "name" => "Header banner",
    "id" => "header-banner-info",
    "text" => "<i class='jaw-icon-warning'></i> This banner is shown only if there has been selected any of presets in <a href='#of-option-logoarea' class='jaw-goto-logoarea' data-goto='logoarea' data-highlight='header_style'><strong>Theme Options > Header Setting > Logo Area > Header Layout</strong></a>, that contain the banner position.",
        "type" => "info",
    "space" => false,
    "message" => "info"
    );

    $options[] = array(
    'id' => 'banner_in_header_show_on_devices',
    'type' => 'toggle',
    "class" => "top-show-on-devices",
    'name' => 'Show Banner',
    'desc' => 'Choose whether or not and where to show banner - either on desktops or on desktops and tablets or on desktops, tablets and phones.',
    'std' => 'phone',
    'options' => array("desktop" => "<i class='jaw-icon-screen4'></i>", "tablet" => "<i class='jaw-icon-screen4'></i><i class='jaw-icon-tablet'></i>", "phone" => "<i class='jaw-icon-screen4'></i><i class='jaw-icon-tablet'></i><i class='jaw-icon-mobile'></i>")
    );

    $options[] = array(
    'id' => 'banner_in_header_show',
    'type' => 'toggle',
    'name' => 'Show Banner Type',
    'desc' => 'Select a kind of source of the banner. The appropriate options appear after clicking a button.',
    'std' => '0',
    'options' => array('0' => 'Off', "image" => "Image", "google" => "Google")
    );

    $options[] = array(
    "name" => "Banner Image",
    "type" => "sectionstart",
    "ng-show" => "edit['banner_in_header_show']=='image'");

    $options[] = array("name" => "Banner Image",
    "desc" => "Click the Upload button to select and upload your banner.",
    "id" => "banner_in_header_image",
    "std" => "",
    "type" => "upload");

    $options[] = array("name" => "Target Link",
    "desc" => "Insert a target URL for the banner.",
        "id" => "banner_in_header_link",
    "std" => "http://",
    'maxlength' => 255,
    "type" => "text"
    );
    $options[] = array("name" => "Banner Link Target",
    "desc" => "Specify where to open an advertise link.",
    "id" => "banner_in_header_link_target",
    "std" => "_blank",
    "type" => "select",
    "options" => array("_blank" => "_blank", "_top" => "_top", "_parent" => "_parent", "_self" => "_self"));

    $options[] = array(
    "type" => "sectionend");

    $options[] = array("name" => "Google Ads Code",
    "desc" => "Insert the Google Ads Code. <b>Notice: You may have at most 3 google ads on one page.</b>",
    "id" => "banner_in_header_google",
    "std" => "",
    "mod" => "html",
    "ng-show" => "edit['banner_in_header_show']=='google'",
    "type" => "textarea");

    $options[] = array("type" => "headingend");


    // Banner IN TOP POST
    $options[] = array(
    "name" => "Banner In Post - Top",
// 
    "type" => "headingstart");

    $options[] = array(
    "name" => "info",
    "id" => "leader-info",
    "src" => 'post-top.jpg',
    "type" => "help_image",
    );

    $options[] = array(
    'id' => 'banner_posttop_show_on_devices',
    'type' => 'toggle',
    "class" => "top-show-on-devices",
    'name' => 'Show Banner',
    'desc' => 'Choose whether or not and where to show banner - either on desktops or on desktops and tablets or on desktops, tablets and phones.',
    'std' => 'phone',
    'options' => array("desktop" => "<i class='jaw-icon-screen4'></i>", "tablet" => "<i class='jaw-icon-screen4'></i><i class='jaw-icon-tablet'></i>", "phone" => "<i class='jaw-icon-screen4'></i><i class='jaw-icon-tablet'></i><i class='jaw-icon-mobile'></i>")
    );

    $options[] = array(
    'id' => 'banner_posttop_show',
    'type' => 'toggle',
    'name' => 'Show Banner Type',
    'desc' => 'Select a kind of source of the banner. The appropriate options appear after clicking a button.',
    'std' => '0',
    'options' => array('0' => 'Off', "image" => "Image", "google" => "Google")
    );

    $options[] = array(
    "name" => "Banner Image",
    "type" => "sectionstart",
    "ng-show" => "edit['banner_posttop_show']=='image'");


    $options[] = array("name" => "Banner Image",
    "desc" => "Click the Upload button to select and upload your banner.",
    "id" => "banner_posttop_image",
    "std" => "",
    "type" => "upload");

    $options[] = array("name" => "Target Link",
    "desc" => "Insert a target URL for the banner.",
        "id" => "banner_posttop_link",
    "std" => "http://",
    'maxlength' => 255,
    "type" => "text"
    );
    $options[] = array("name" => "Banner Link Target",
    "desc" => "Specify where to open an advertise link.",
    "id" => "banner_posttop_target",
    "std" => "_blank",
    "type" => "select",
    "options" => array("_blank" => "_blank", "_top" => "_top", "_parent" => "_parent", "_self" => "_self"));

    $options[] = array(
    "type" => "sectionend");

    $options[] = array("name" => "Google Ads Code",
    "desc" => "Insert the Google Ads Code. <b>Notice: You may have at most 3 google ads on one page.</b>",
    "id" => "banner_posttop_google",
    "std" => "",
    "ng-show" => "edit['banner_posttop_show']=='google'",
    "mod" => "html",
    "type" => "textarea");

    $options[] = array("type" => "headingend");


    // Banner IN Bottom POSt
    $options[] = array(
    "name" => "Banner In Post - Bottom",
// 
    "type" => "headingstart");

    $options[] = array(
    "name" => "info",
    "id" => "leader-info",
    "src" => 'post-bottom.jpg',
    "type" => "help_image",
    );

    $options[] = array(
    'id' => 'banner_postbottom_show_on_devices',
    'type' => 'toggle',
    "class" => "top-show-on-devices",
    'name' => 'Show Banner',
    'desc' => 'Choose whether or not and where to show banner - either on desktops or on desktops and tablets or on desktops, tablets and phones.',
    'std' => 'phone',
    'options' => array("desktop" => "<i class='jaw-icon-screen4'></i>", "tablet" => "<i class='jaw-icon-screen4'></i><i class='jaw-icon-tablet'></i>", "phone" => "<i class='jaw-icon-screen4'></i><i class='jaw-icon-tablet'></i><i class='jaw-icon-mobile'></i>")
    );

    $options[] = array(
    'id' => 'banner_postbottom_show',
    'type' => 'toggle',
    'name' => 'Show Banner Type',
    'desc' => 'Select a kind of source of the banner. The appropriate options appear after clicking a button.',
    'std' => '0',
    'options' => array('0' => 'Off', "image" => "Image", "google" => "Google")
    );

    $options[] = array(
    "name" => "Banner Image",
    "type" => "sectionstart",
    "ng-show" => "edit['banner_postbottom_show']=='image'");


    $options[] = array("name" => "Banner Image",
    "desc" => "Click the Upload button to select and upload your banner.",
    "id" => "banner_postbottom_image",
    "std" => "",
    "type" => "upload");

    $options[] = array("name" => "Target Link",
    "desc" => "Insert a target URL for the banner.",
        "id" => "banner_postbottom_link",
    "std" => "http://",
    'maxlength' => 255,
    "type" => "text"
    );
    $options[] = array("name" => "Banner Link Target",
    "desc" => "Specify where to open an advertise link.",
    "id" => "banner_postbottom_target",
    "std" => "_blank",
    "type" => "select",
    "options" => array("_blank" => "_blank", "_top" => "_top", "_parent" => "_parent", "_self" => "_self"));

    $options[] = array(
    "type" => "sectionend");

    $options[] = array("name" => "Google Ads Code",
    "desc" => "Insert the Google Ads Code. <b>Notice: You may have at most 3 google ads on one page.</b>",
    "id" => "banner_postbottom_google",
    "std" => "",
    "ng-show" => "edit['banner_postbottom_show']=='google'",
    "mod" => "html",
    "type" => "textarea");

    $options[] = array("type" => "headingend");

     // BANNER POST RIGHT
    $options[] = array(
    "name" => "Banner In Post - On Side",
// 
    "type" => "headingstart");

    $options[] = array(
    "name" => "info",
    "id" => "leader-info",
    "src" => 'post-in-side.jpg',
    "type" => "help_image",
    );

    $options[] = array(
    'id' => 'banner_postside_show_on_devices',
    'type' => 'toggle',
    "class" => "top-show-on-devices",
    'name' => 'Show Banner',
    'desc' => 'Choose whether or not and where to show banner - either on desktops or on desktops and tablets or on desktops, tablets and phones.',
    'std' => 'phone',
    'options' => array("desktop" => "<i class='jaw-icon-screen4'></i>", "tablet" => "<i class='jaw-icon-screen4'></i><i class='jaw-icon-tablet'></i>", "phone" => "<i class='jaw-icon-screen4'></i><i class='jaw-icon-tablet'></i><i class='jaw-icon-mobile'></i>")
    );

    $options[] = array(
    'id' => 'banner_postside_show',
    'type' => 'toggle',
    'name' => 'Show Banner Type',
    'desc' => 'Select a kind of source of the banner. The appropriate options appear after clicking a button.',
    'std' => '0',
    'options' => array('0' => 'Off', "image" => "Image", "google" => "Google")
    );

    $options[] = array(
    "name" => "Banner Image",
    "type" => "sectionstart",
    "ng-show" => "edit['banner_postside_show']=='image'");

    $options[] = array("name" => "Banner Image",
    "desc" => "Click the Upload button to select and upload your banner.",
    "id" => "banner_postside_image",
    "std" => "",
    "type" => "upload");

    $options[] = array("name" => "Target Link",
    "desc" => "Insert a target URL for the banner.",
        "id" => "banner_postside_link",
    "std" => "http://",
    'maxlength' => 255,
    "type" => "text"
    );
    $options[] = array("name" => "Banner Link Target",
    "desc" => "Specify where to open an advertise link.",
    "id" => "banner_postside_link_target",
    "std" => "_blank",
    "type" => "select",
    "options" => array("_blank" => "_blank", "_top" => "_top", "_parent" => "_parent", "_self" => "_self"));

    $options[] = array(
    "type" => "sectionend");

    $options[] = array("name" => "Google Ads Code",
    "desc" => "Insert the Google Ads Code. <b>Notice: You may have at most 3 google ads on one page.</b>",
    "id" => "banner_postside_google",
    "std" => "",
    "mod" => "html",
    "ng-show" => "edit['banner_postside_show']=='google'",
    "type" => "textarea");

    $options[] = array("type" => "headingend");
    // END BANNER POST RIGHT

    // Banner Custom Widget - 1
    $options[] = array("name" => "Custom Banner 1",
    "type" => "headingstart");

    $options[] = array(
    'id' => 'banner_custom_1_show_on_devices',
    'type' => 'toggle',
    "class" => "top-show-on-devices",
    'name' => 'Show Custom Banner 1 @size(729x90, 970x90)',
    'desc' => 'Choose whether or not and where to show banner - either on desktops or on desktops and tablets or on desktops, tablets and phones.',
    'std' => 'phone',
    'options' => array("desktop" => "<i class='jaw-icon-screen4'></i>", "tablet" => "<i class='jaw-icon-screen4'></i><i class='jaw-icon-tablet'></i>", "phone" => "<i class='jaw-icon-screen4'></i><i class='jaw-icon-tablet'></i><i class='jaw-icon-mobile'></i>")
    );

    $options[] = array(
    'id' => 'banner_custom_1_show',
    'type' => 'toggle',
    'name' => 'Show Banner Type',
    'desc' => 'Select a kind of source of the banner. The appropriate options appear after clicking a button.',
    'std' => '0',
    'options' => array('0' => 'Off', "image" => "Image", "google" => "Google")
    );

    $options[] = array(
    "name" => "Banner Image",
    "type" => "sectionstart",
    "ng-show" => "edit['banner_custom_1_show']=='image'");

    $options[] = array("name" => "Banner Image",
    "desc" => "Click the Upload button to select and upload your banner.",
    "id" => "banner_custom_1_image",
    "std" => "",
    "type" => "upload");

    $options[] = array("name" => "Target Link",
    "desc" => "Insert a target URL for the banner.",
    "id" => "banner_custom_1_link",
    "std" => "http://",
    'maxlength' => 255,
    "type" => "text"
    );
    $options[] = array("name" => "Banner Link Target",
    "desc" => "Specify where to open an advertise link.",
    "id" => "banner_w_1_link_target",
    "std" => "_blank",
    "type" => "select",
    "options" => array("_blank" => "_blank", "_top" => "_top", "_parent" => "_parent", "_self" => "_self"));

    $options[] = array(
    "type" => "sectionend");

    $options[] = array("name" => "Google Ads Code",
    "desc" => "Insert the Google Ads Code. <b>Notice: You may have at most 3 google ads on one page.</b>",
    "id" => "banner_custom_1_google",
    "std" => "",
    "mod" => "html",
    "ng-show" => "edit['banner_custom_1_show']=='google'",
    "type" => "textarea");

    $options[] = array("type" => "headingend");

    // Banner custom2
    $options[] = array("name" => "Custom Banner 2",
    "type" => "headingstart");

    $options[] = array(
    'id' => 'banner_custom_2_show_on_devices',
    'type' => 'toggle',
    "class" => "top-show-on-devices",
    'name' => 'Show Custom Banner 2 @size(250x250, 250x250x 300x250)',
    'desc' => 'Choose whether or not and where to show banner - either on desktops or on desktops and tablets or on desktops, tablets and phones.',
    'std' => 'phone',
    'options' => array("desktop" => "<i class='jaw-icon-screen4'></i>", "tablet" => "<i class='jaw-icon-screen4'></i><i class='jaw-icon-tablet'></i>", "phone" => "<i class='jaw-icon-screen4'></i><i class='jaw-icon-tablet'></i><i class='jaw-icon-mobile'></i>")
    );

    $options[] = array(
    'id' => 'banner_custom_2_show',
    'type' => 'toggle',
    'name' => 'Show Banner Type',
    'desc' => 'Select a kind of source of the banner. The appropriate options appear after clicking a button.',
    'std' => '0',
    'options' => array('0' => 'Off', "image" => "Image", "google" => "Google")
    );

    $options[] = array(
    "name" => "Banner Image",
    "type" => "sectionstart",
    "ng-show" => "edit['banner_custom_2_show']=='image'");

    $options[] = array("name" => "Banner Image",
    "desc" => "Click the Upload button to select and upload your banner.",
    "id" => "banner_custom_2_image",
    "std" => "",
    "type" => "upload");

    $options[] = array("name" => "Target Link",
    "desc" => "Insert a target URL for the banner.",
        "id" => "banner_custom_2_link",
    "std" => "http://",
    'maxlength' => 255,
    "type" => "text"
    );
    $options[] = array("name" => "Banner Link Target",
    "desc" => "Specify where to open an advertise link.",
    "id" => "banner_w_2_link_target",
    "std" => "_blank",
    "type" => "select",
    "options" => array("_blank" => "_blank", "_top" => "_top", "_parent" => "_parent", "_self" => "_self"));

    $options[] = array(
    "type" => "sectionend");

    $options[] = array("name" => "Google Ads Code",
    "desc" => "Insert the Google Ads Code. <b>Notice: You may have at most 3 google ads on one page.</b>",
    "id" => "banner_custom_2_google",
    "std" => "",
    "mod" => "html",
    "ng-show" => "edit['banner_custom_2_show']=='google'",
    "type" => "textarea");

    $options[] = array("type" => "headingend");

    // Banner custom 3
    $options[] = array("name" => "Custom Banner 3",
    "type" => "headingstart");

    $options[] = array(
    'id' => 'banner_custom_3_show_on_devices',
    'type' => 'toggle',
    "class" => "top-show-on-devices",
    'name' => 'Show Custom Banner 3 @size(160x600, 300x600)',
    'desc' => 'Choose whether or not and where to show banner - either on desktops or on desktops and tablets or on desktops, tablets and phones.',
    'std' => 'phone',
    'options' => array("desktop" => "<i class='jaw-icon-screen4'></i>", "tablet" => "<i class='jaw-icon-screen4'></i><i class='jaw-icon-tablet'></i>", "phone" => "<i class='jaw-icon-screen4'></i><i class='jaw-icon-tablet'></i><i class='jaw-icon-mobile'></i>")
    );

    $options[] = array(
    'id' => 'banner_custom_3_show',
    'type' => 'toggle',
    'name' => 'Show Banner Type',
    'desc' => 'Select a kind of banners to be displayed. Depending on your choice, the appropriate options will be available after clicking a button.',
    'std' => '0',
    'options' => array('0' => 'Off', "image" => "Image", "google" => "Google")
    );

    $options[] = array(
    "name" => "Banner Image",
    "type" => "sectionstart",
    "ng-show" => "edit['banner_custom_3_show']=='image'");

    $options[] = array("name" => "Banner Image",
    "desc" => "Click the Upload button to select and upload your banner.",
    "id" => "banner_custom_3_image",
    "std" => "",
    "type" => "upload");

    $options[] = array("name" => "Target Link",
    "desc" => "Insert a target URL for the banner.",
        "id" => "banner_custom_3_link",
    "std" => "http://",
    'maxlength' => 255,
    "type" => "text"
    );
    $options[] = array("name" => "Banner Link Target",
    "desc" => "Specify where to open an advertise link.",
    "id" => "banner_w_3_link_target",
    "std" => "_blank",
    "type" => "select",
    "options" => array("_blank" => "_blank", "_top" => "_top", "_parent" => "_parent", "_self" => "_self"));

    $options[] = array(
    "type" => "sectionend");

    $options[] = array("name" => "Google Ads Code",
    "desc" => "Insert the Google Ads Code. <b>Notice: You may have at most 3 google ads on one page.</b>",
    "id" => "banner_custom_3_google",
    "std" => "",
    "mod" => "html",
    "ng-show" => "edit['banner_custom_3_show']=='google'",
    "type" => "textarea");

    $options[] = array("type" => "headingend");

    // Banner custom 4
    $options[] = array("name" => "Custom Banner 4",
    "type" => "headingstart");

    $options[] = array(
    'id' => 'banner_custom_4_show_on_devices',
    'type' => 'toggle',
    "class" => "top-show-on-devices",
    'name' => 'Show Custom Banner 4 @size(970x250)',
    'desc' => 'Choose whether or not and where to show banner - either on desktops or on desktops and tablets or on desktops, tablets and phones.',
    'std' => 'phone',
    'options' => array("desktop" => "<i class='jaw-icon-screen4'></i>", "tablet" => "<i class='jaw-icon-screen4'></i><i class='jaw-icon-tablet'></i>", "phone" => "<i class='jaw-icon-screen4'></i><i class='jaw-icon-tablet'></i><i class='jaw-icon-mobile'></i>")
    );

    $options[] = array(
    'id' => 'banner_custom_4_show',
    'type' => 'toggle',
    'name' => 'Show Banner Type',
    'desc' => 'Select a kind of banners to be displayed. Depending on your choice, the appropriate options will be available after clicking a button.',
    'std' => '0',
    'options' => array('0' => 'Off', "image" => "Image", "google" => "Google")
    );

    $options[] = array(
    "name" => "Banner Image",
    "type" => "sectionstart",
    "ng-show" => "edit['banner_custom_4_show']=='image'");

    $options[] = array("name" => "Banner Image",
    "desc" => "Click the Upload button to select and upload your banner.",
    "id" => "banner_custom_4_image",
    "std" => "",
    "type" => "upload");

    $options[] = array("name" => "Target Link",
    "desc" => "Insert a target URL for the banner.",
        "id" => "banner_custom_4_link",
    "std" => "http://",
    'maxlength' => 255,
    "type" => "text"
    );
    $options[] = array("name" => "Banner Link Target",
    "desc" => "Specify where to open an advertise link.",
    "id" => "banner_w_4_link_target",
    "std" => "_blank",
    "type" => "select",
    "options" => array("_blank" => "_blank", "_top" => "_top", "_parent" => "_parent", "_self" => "_self"));

    $options[] = array(
    "type" => "sectionend");

    $options[] = array("name" => "Google Ads Code",
    "desc" => "Insert the Google Ads Code. <b>Notice: You may have at most 3 google ads on one page.</b>",
    "id" => "banner_custom_4_google",
    "std" => "",
    "mod" => "html",
    "ng-show" => "edit['banner_custom_4_show']=='google'",
    "type" => "textarea");

    $options[] = array("type" => "headingend");

    // Banner custom 5
    $options[] = array("name" => "Custom Banner 5",
    "type" => "headingstart");

    $options[] = array(
    'id' => 'banner_custom_5_show_on_devices',
    'type' => 'toggle',
    "class" => "top-show-on-devices",
    'name' => 'Show Custom Banner 5 @size(728x90 + 970x90)',
    'desc' => 'Choose whether or not and where to show banner - either on desktops or on desktops and tablets or on desktops, tablets and phones.',
    'std' => 'phone',
    'options' => array("desktop" => "<i class='jaw-icon-screen4'></i>", "tablet" => "<i class='jaw-icon-screen4'></i><i class='jaw-icon-tablet'></i>", "phone" => "<i class='jaw-icon-screen4'></i><i class='jaw-icon-tablet'></i><i class='jaw-icon-mobile'></i>")
    );

    $options[] = array(
    'id' => 'banner_custom_5_show',
    'type' => 'toggle',
    'name' => 'Show Banner Type',
    'desc' => 'Select a kind of banners to be displayed. Depending on your choice, the appropriate options will be available after clicking a button.',
    'std' => '0',
    'options' => array('0' => 'Off', "image" => "Image", "google" => "Google")
    );

    $options[] = array(
    "name" => "Banner Image",
    "type" => "sectionstart",
    "ng-show" => "edit['banner_custom_5_show']=='image'");

    $options[] = array("name" => "Banner Image",
    "desc" => "Click the Upload button to select and upload your banner.",
    "id" => "banner_custom_5_image",
    "std" => "",
    "type" => "upload");

    $options[] = array("name" => "Target Link",
    "desc" => "Insert a target URL for the banner.",
        "id" => "banner_custom_5_link",
    "std" => "http://",
    'maxlength' => 255,
    "type" => "text"
    );
    $options[] = array("name" => "Banner Link Target",
    "desc" => "Specify where to open an advertise link.",
    "id" => "banner_w_5_link_target",
    "std" => "_blank",
    "type" => "select",
    "options" => array("_blank" => "_blank", "_top" => "_top", "_parent" => "_parent", "_self" => "_self"));

    $options[] = array(
    "type" => "sectionend");

    $options[] = array("name" => "Google Ads Code",
    "desc" => "Insert the Google Ads Code. <b>Notice: You may have at most 3 google ads on one page.</b>",
    "id" => "banner_custom_5_google",
    "std" => "",
    "mod" => "html",
    "ng-show" => "edit['banner_custom_5_show']=='google'",
    "type" => "textarea");

    $options[] = array("type" => "headingend");

// 
   

    /* END BANNERS ******************************************************* */

    /* 404  **************************************************** */
// 

    // DEMO **********************************************************
    $options[] = array("name" => "Demo Data",
    "type" => "headingstart");

    $options[] = array(
    "name" => "Imort DEMO",
    "id" => "info-demo",
    "text" => "<h3 style=\"margin: 0 0 10px;\">Warning:</h3> Importing into a fresh Wordpress installation is recommended.<br><br>Don`t forget to install and activate all required plugins before installation of demo content.<br><br>When uploading the demo content you may lose your data. Don&acute;t forget to back-up your database before you choose this option, please.<br><br> When you import the demo at the first time, the whole data will be imported while with the next updates you will get only the presets.",
    "type" => "info",
    "space" => false,
    "message" => "warnings"
    );

    $options[] = array(
    "name" => "Imort DEMO",
    "id" => "info-demo-2",
    "text" => "The demo included in the theme is a smaller version of the official demo, we couldn`t include the whole demo because we wanted to keep the theme as small as possible.",
    "type" => "info",
    "space" => false,
    "message" => "info"
    );


    $options[] = array(
    "name" => "Import Sample Data",
    "space" => true,
    "id" => "import-sample-preset1",
    "demos" => array(
            "demo01" => "Lifestyle mag",
            "demo02" => "Men`s magazine",
            "demo03" => "Fashion mag",
            "demo04" => "27news",
            "demo05" => "Food blog",
            "demo06" => "World news",
            "demo07" => "Travel blog",
            "demo08" => "Video shannel",
            "demo10" => "Sleek Mag",
            "demo11" => "Movie news",
            "demo12" => "Geek blog",
            "demo13" => "Business Week",
            "demo14" => "Smartness"
            ),
    "type" => "importpreset",
    "class" => "fullwidth-option"
    );



    $options[] = array("type" => "headingend");




    //TRANSLATIONS ******************************************************
// 

// 
$options[] = array("name" => "GDN Theme PRO",
"type" => "headingstart");

$options[] = array(
'id' => 'get_pro',
'type' => 'lite_info',
'name' => 'GDN Theme PRO',
"text" => '
<a class="jw-customize-button" href="http://www.jawtemplates.com/wordpress-themes/gday-news-magazine/" target="_blank">Visit Demo</a>
<a class="jw-customize-button" href="https://themeforest.net/item/gdn-magazine-blog-wordpress-theme/16897309?ref=jawtemplates" target="_blank">BUY</a>'
);

$options[] = array("type" => "headingend");

$options[] = array("name" => "Top Bar - only in PRO",
"type" => "headingstart");
$options[] = array(
'id' => 'get_pro_topbar',
'type' => 'lite_info',
'name' => 'Additional Options Available in PRO version',
"text" => '<li id="customize-control-gdn theme_options-top_bar_show" class="customize-control customize-control-text" style="display: list-item;">
    <span class="customize-control-title">Show Top Bar </span>
    <span class="description customize-control-description">Choose whether or not to show the top bar.</span>
    <label>
                <input type="radio" value="0" disabled>
                Off<br>
            </label>
    <label>
                <input type="radio" value="1" disabled>
                On<br>
            </label>
</li>
<li id="customize-control-gdn theme_options-top_bar_fullwidth" class="customize-control customize-control-text" style="display: list-item;">
    <span class="customize-control-title">Width of Top Bar</span>
    <span class="description customize-control-description">Decide whether or not to show your top bar over the entire width of page.</span>
    <label>
                <input type="radio" value="boxed" disabled>
                <img src="' . JAW_ADMIN_URI . 'assets/images/width_of_element/menu-boxed.png"><br>
            </label>
    <label>
                <input type="radio" value="off" disabled>
                <img src="' . JAW_ADMIN_URI . 'assets/images/width_of_element/menu-classical.png"><br>
            </label>
    <label>
                <input type="radio" value="on" disabled>
                <img src="' . JAW_ADMIN_URI . 'assets/images/width_of_element/menu-fullwidth.png"><br>
            </label>
</li>
<li id="customize-control-gdn theme_options-top_bar_fix" class="customize-control customize-control-text" style="display: list-item;">
    <span class="customize-control-title">Fixed Top Bar</span>
    <span class="description customize-control-description">Turn on this option if the top bar has to be easy reachable for readers.</span>
    <label>
                <input type="radio" value="0" disabled>
                Off<br>
            </label>
    <label>
                <input type="radio" value="1" disabled>
                Permanently visible<br>
            </label>
    <label>
                <input type="radio" value="2" disabled>
                Show when scroll up<br>
            </label>
</li>
<li id="customize-control-gdn theme_options-top_bar_date" class="customize-control customize-control-text" style="display: list-item;">
    <span class="customize-control-title">Show Date </span>
    <span class="description customize-control-description">Choose whether or not and where to show date in the top bar - either on desktops or on desktops and tablets.</span>
    <label>
                <input type="radio" value="0" disabled>
                Hide<br>
            </label>
    <label>
                <input type="radio" value="desktop" disabled>
                <i class="jaw-icon-screen4"></i><br>
            </label>
    <label>
                <input type="radio" value="tablet" disabled>
                <i class="jaw-icon-screen4"></i><i class="jaw-icon-tablet"></i><br>
            </label>
</li>
<li id="customize-control-gdn theme_options-top_bar_date_format" class="customize-control customize-control-text" style="display: list-item;">
    <label>
											<span class="customize-control-title">Date Format </span>
											<span class="description customize-control-description">Specify a date format using the format characters. Here is what each of them represents: <br><br>F - Full name for the month<br>j - The day of the month<br>Y - The year in 4 digits (lower-case y gives the year\'s last 2 digits)</span>
										<input type="text" value="F j, Y" data-customize-setting-link="gdn theme_options[top_bar_date_format]">
				</label>
</li>
<li id="customize-control-gdn theme_options-top_bar_text" class="customize-control customize-control-text" style="display: list-item;">
    <span class="customize-control-title">Show Text </span>
    <span class="description customize-control-description">Choose whether or not and where to show your text in the top bar - either on desktops or on desktops and tablets.</span>
    <label>
                <input type="radio" value="0" disabled>
                Hide<br>
            </label>
    <label>
                <input type="radio" value="desktop" disabled>
                <i class="jaw-icon-screen4"></i><br>
            </label>
    <label>
                <input type="radio" value="tablet" disabled>
                <i class="jaw-icon-screen4"></i><i class="jaw-icon-tablet"></i><br>
            </label>
</li>
<li id="customize-control-gdn theme_options-top_bar_text_content" class="customize-control customize-control-text" style="display: list-item;">
    <label>
											<span class="customize-control-title">Text Content</span>
											<span class="description customize-control-description">Fill the field with your text that will or will not be visible in the top bar depending on the Show Text setting above.</span>
										<input type="text" value="" data-customize-setting-link="gdn theme_options[top_bar_text_content]">
				</label>
</li>
<li id="customize-control-gdn theme_options-top_bar_menu" class="customize-control customize-control-text" style="display: list-item;">
    <span class="customize-control-title">Show Menu</span>
    <span class="description customize-control-description">Choose whether or not and where to show your menu in the top bar - either on desktops or on desktops and tablets. <br><br>To enable the menu, go to <strong>Appearance &gt; Menus</strong>, choose the menu you need and tick the Top Bar Navigation option in <em>Theme locations</em> settings.</span>
    <label>
                <input type="radio" value="0" disabled>
                Hide<br>
            </label>
    <label>
                <input type="radio" value="desktop" disabled>
                <i class="jaw-icon-screen4"></i><br>
            </label>
    <label>
                <input type="radio" value="tablet" disabled>
                <i class="jaw-icon-screen4"></i><i class="jaw-icon-tablet"></i><br>
            </label>
</li>
<li id="customize-control-gdn theme_options-top_bar_social" class="customize-control customize-control-text" style="display: list-item;">
    <span class="customize-control-title">Show Social </span>
    <span class="description customize-control-description">Choose whether or not and where to show social icons - either on desktops or on desktops and tablets.</span>
    <label>
                <input type="radio" value="0" disabled>
                Hide<br>
            </label>
    <label>
                <input type="radio" value="desktop" disabled>
                <i class="jaw-icon-screen4"></i><br>
            </label>
    <label>
                <input type="radio" value="tablet" disabled>
                <i class="jaw-icon-screen4"></i><i class="jaw-icon-tablet"></i><br>
            </label>
</li>
<li id="customize-control-gdn theme_options-top_bar_social_facebook" class="customize-control customize-control-text"
    style="display: list-item;">
    <label>
											<span class="customize-control-title">Facebook Page URL</span>
											<span class="description customize-control-description">Insert your Facebook URL.</span>
										<input type="text" value="https://www.facebook.com/" data-customize-setting-link="gdn theme_options[top_bar_social_facebook]">
				</label>
</li>
<li id="customize-control-gdn theme_options-top_bar_social_twitter" class="customize-control customize-control-text"
    style="display: list-item;">
    <label>
											<span class="customize-control-title">Twitter Page URL</span>
											<span class="description customize-control-description">Insert your Twitter URL.</span>
										<input type="text" value="https://twitter.com/" data-customize-setting-link="gdn theme_options[top_bar_social_twitter]">
				</label>
</li>
<li id="customize-control-gdn theme_options-top_bar_social_google" class="customize-control customize-control-text"
    style="display: list-item;">
    <label>
											<span class="customize-control-title">Google Plus Page URL</span>
											<span class="description customize-control-description">Insert your Google Plus URL.</span>
										<input type="text" value="" data-customize-setting-link="gdn theme_options[top_bar_social_google]">
				</label>
</li>
<li id="customize-control-gdn theme_options-top_bar_social_youtube" class="customize-control customize-control-text"
    style="display: list-item;">
    <label>
											<span class="customize-control-title">Youtube Page URL</span>
											<span class="description customize-control-description">Insert your Youtube URL.</span>
										<input type="text" value="http://youtube.com" data-customize-setting-link="gdn theme_options[top_bar_social_youtube]">
				</label>
</li>
<li id="customize-control-gdn theme_options-top_bar_social_vimeo" class="customize-control customize-control-text" style="display: list-item;">
    <label>
											<span class="customize-control-title">Vimeo Page URL</span>
											<span class="description customize-control-description">Insert your Vimeo URL.</span>
										<input type="text" value="" data-customize-setting-link="gdn theme_options[top_bar_social_vimeo]">
				</label>
</li>
<li id="customize-control-gdn theme_options-top_bar_social_linkedin" class="customize-control customize-control-text"
    style="display: list-item;">
    <label>
											<span class="customize-control-title">LinkedIn Page URL</span>
											<span class="description customize-control-description">Insert your LinkedIn URL.</span>
										<input type="text" value="" data-customize-setting-link="gdn theme_options[top_bar_social_linkedin]">
				</label>
</li>
<li id="customize-control-gdn theme_options-top_bar_social_pinterest" class="customize-control customize-control-text"
    style="display: list-item;">
    <label>
											<span class="customize-control-title">Pinterest Page URL</span>
											<span class="description customize-control-description">Insert your Pinterest URL.</span>
										<input type="text" value="" data-customize-setting-link="gdn theme_options[top_bar_social_pinterest]">
				</label>
</li>
<li id="customize-control-gdn theme_options-top_bar_social_instagram" class="customize-control customize-control-text"
    style="display: list-item;">
    <label>
											<span class="customize-control-title">Instagram Page URL</span>
											<span class="description customize-control-description">Insert your Instagram URL.</span>
										<input type="text" value="http://instagram.com" data-customize-setting-link="gdn theme_options[top_bar_social_instagram]">
				</label>
</li>
<li id="customize-control-gdn theme_options-top_bar_user_content" class="customize-control customize-control-text" style="display: list-item;">
    <span class="customize-control-title">Show Log In &amp; My News </span>
    <span class="description customize-control-description">Choose whether or not and where to show Log In &amp; User Content - either on desktops or on desktops and tablets. Detailed settings for this area is in <a href="#of-option-mynews" class="jaw-goto-logoarea" data-goto="mynews">Theme Options -&gt; MyNews</a><br><br><a href="#of-option-mynews" class="jaw-goto-mynews" data-goto="user_account_pageid" data-highlight="header_style">Check also your setting of User Account Front End Page</a></span>
    <label>
                <input type="radio" value="0" disabled>
                Hide<br>
            </label>
    <label>
                <input type="radio" value="desktop" disabled>
                <i class="jaw-icon-screen4"></i><br>
            </label>
    <label>
                <input type="radio" value="tablet" disabled>
                <i class="jaw-icon-screen4"></i><i class="jaw-icon-tablet"></i><br>
            </label>
</li>
<li id="customize-control-gdn theme_options-top_bar_search" class="customize-control customize-control-text" style="display: list-item;">
    <span class="customize-control-title">Show Search</span>
    <span class="description customize-control-description">Choose whether or not and where to show Search - either on desktops or on desktops and tablets.</span>
    <label>
                <input type="radio" value="0" disabled>
                Hide<br>
            </label>
    <label>
                <input type="radio" value="desktop" disabled>
                <i class="jaw-icon-screen4"></i><br>
            </label>
    <label>
                <input type="radio" value="tablet" disabled>
                <i class="jaw-icon-screen4"></i><i class="jaw-icon-tablet"></i><br>
            </label>
</li>'
);
$options[] = array("type" => "headingend");

$options[] = array("name" => "Under Top Bar Area - only in PRO",
"type" => "headingstart");
$options[] = array(
'id' => 'get_pro_undertopbar',
'type' => 'lite_info',
'name' => 'Additional Options Available in PRO version',
"text" => '<li id="customize-control-gdn theme_options-header_featured_show" class="customize-control customize-control-text" style="display: list-item;">
			            <span class="customize-control-title">Show Under Top Bar Featured Area - Homepage | All Web</span>
                    <span class="description customize-control-description">Choose whether or not and on which pages to show the featured area placed above the logo area - either on the homepage only or on all your web pages.</span>
                    <label>
                <input type="radio" value="off" disabled>
                Off<br>
            </label>			
                    <label>
                <input type="radio" value="home" disabled>
                On Homepage<br>
            </label>			
                    <label>
                <input type="radio" value="all_web" disabled>
                All Web<br>
            </label>			
        		</li>'
);
$options[] = array("type" => "headingend");

$options[] = array("name" => "Breadcrumbs - only in PRO",
"type" => "headingstart");
$options[] = array(
'id' => 'get_pro_bradcrumbs',
'type' => 'lite_info',
'name' => 'Additional Options Available in PRO version',
"text" => '<li id="customize-control-gdn theme_options-blog_breadcrumb" class="customize-control customize-control-text" style="display: list-item;">
        <span class="customize-control-title">Show Breadcrumbs</span>
        <span class="description customize-control-description">Select a way to manage displaying of breadcrumb navigation in categories, archives, tags, search results and inside posts.</span>
        <label>
                <input type="radio" value="-1" disabled>
                Off - without gap<br>
            </label>
        <label>
                <input type="radio" value="0" disabled>
                Hide - keep space<br>
            </label>
        <label>
                <input type="radio" value="1" disabled>
                Show<br>
            </label>
    </li>
    <li id="customize-control-gdn theme_options-breadcrumb_bar_fix" class="customize-control customize-control-text"
        style="display: list-item;">
        <span class="customize-control-title">Fixed Breadcrumbs</span>
        <span class="description customize-control-description">Turn on this option if the breadcrumbs bar has to be easy reachable for readers.</span>
        <label>
                <input type="radio" value="0" disabled>
                Off<br>
            </label>
        <label>
                <input type="radio" value="1" disabled>
                Permanently visible<br>
            </label>
        <label>
                <input type="radio" value="2" disabled>
                Show when scroll up<br>
            </label>
    </li>
    <li id="customize-control-gdn theme_options-breadcrumb_show_home" class="customize-control customize-control-text"
        style="display: list-item;">
        <span class="customize-control-title">Show Home Link in Breadcrumbs</span>
        <span class="description customize-control-description">Choose whether or not to show "Home" link in breadcrumbs.</span>
        <label>
                <input type="radio" value="0" disabled>
                Off<br>
            </label>
        <label>
                <input type="radio" value="1" disabled>
                On<br>
            </label>
    </li>
    <li id="customize-control-gdn theme_options-breadcrumb_show_article" class="customize-control customize-control-text"
        style="display: list-item;">
        <span class="customize-control-title">Show Article Title in Breadcrumbs</span>
        <span class="description customize-control-description">Choose whether or not to include also a post title in the breadcrumb navigation.</span>
        <label>
                <input type="radio" value="0" disabled>
                Off<br>
            </label>
        <label>
                <input type="radio" value="1" disabled>
                On<br>
            </label>
    </li>
    <li id="customize-control-gdn theme_options-blog_cut_breadcrumb" class="customize-control customize-control-text"
        style="display: list-item;">
        <label>
											<span class="customize-control-title">Cut Article Title in Breadcrumbs</span>
											<span class="description customize-control-description">Enter a number of characters (including spaces) in post titles / product names to be shown in the breadcrumb navigation, the rest will be replaced with "...".<br><br>To not to cut the titles, enter a negative value.</span>
										<input type="text" value="-1" data-customize-setting-link="gdn theme_options[blog_cut_breadcrumb]">
				</label>
    </li>
    <li id="customize-control-gdn theme_options-page_breadcrumbs" class="customize-control customize-control-text" style="display: list-item;">
        <span class="customize-control-title">Show Breadcrumbs on Pages </span>
        <span class="description customize-control-description">Select a way to manage displaying of breadcrumb navigation on pages.</span>
        <label>
                <input type="radio" value="1" disabled>
                Show<br>
            </label>
        <label>
                <input type="radio" value="-1" disabled>
                Off - without gap<br>
            </label>
        <label>
                <input type="radio" value="0" disabled>
                Hide - keep space<br>
            </label>
    </li>'
);
$options[] = array("type" => "headingend");

$options[] = array("name" => "Above Content Area - only in PRO",
"type" => "headingstart");
$options[] = array(
'id' => 'get_pro_abovecontent',
'type' => 'lite_info',
'name' => 'Additional Options Available in PRO version',
"text" => '<li id="customize-control-gdn theme_options-featured_show" class="customize-control customize-control-text" style="display: list-item;">
			            <span class="customize-control-title">Show Above Content Featured Area - Homepage | All web</span>
                    <span class="description customize-control-description">Choose whether or not and on which pages to show the featured area placed under the menu - either on the homepage only or on all your web pages.
</span>
                    <label>
                <input type="radio" value="off" disabled>
                Off<br>
            </label>			
                    <label>
                <input type="radio" value="home" disabled>
                On Homepage<br>
            </label>			
                    <label>
                <input type="radio" value="all_web" disabled>
                All Web<br>
            </label>			
        		</li>'
);
$options[] = array("type" => "headingend");

$options[] = array("name" => "My News - only in PRO",
"type" => "headingstart");
$options[] = array(
'id' => 'get_pro_mynews',
'type' => 'lite_info',
'name' => 'Additional Options Available in PRO version',
"text" => '<li id="customize-control-gdn theme_options-use_my_news" class="customize-control customize-control-text" style="display: list-item;">
    <span class="customize-control-title">Use My News</span>
    <span class="description customize-control-description">Decide if you want to use this feature on your sites or not.</span>
    <label>
                <input type="radio" value="0" disabled>
                Off<br>
            </label>
    <label>
                <input type="radio" value="1" disabled>
                On<br>
            </label>
</li>
<li id="customize-control-gdn theme_options-user_panel_banner" class="customize-control customize-control-upload" style="display: list-item;">
    <label for="gdn theme_options[user_panel_banner]-button">		
				<span class="customize-control-title">Banner to Display When User is Logged off </span>
		</label>
    <div class="attachment-media-view">
        <div class="placeholder">
            No file selected
        </div>
        <div class="actions">


            <button type="button" class="button upload-button" id="gdn theme_options[user_panel_banner]-button">Select File</button>

            <div style="clear:both"></div>
        </div>
    </div>

</li>
<li id="customize-control-gdn theme_options-user_interest_posts" class="customize-control customize-control-text" style="display: list-item;">
    <label>
											<span class="customize-control-title">Number of Posts in Interested Items Section</span>
											<span class="description customize-control-description">Define a number of posts to be displayed in the Interested Items section (recently viewed posts) in My News Panel.</span>
										<input type="text" value="4" data-customize-setting-link="gdn theme_options[user_interest_posts]">
				</label>
</li>
<li id="customize-control-gdn theme_options-user_interest_columns" class="customize-control customize-control-text" style="display: list-item;">
    <span class="customize-control-title">Number of Columns in Interested Items Section</span>
    <span class="description customize-control-description">Select a number of columns in the Interested Items section (recently viewed posts).</span>
    <label>
                <input type="radio" value="1" disabled>
                1<br>
            </label>
    <label>
                <input type="radio" value="2" disabled>
                2<br>
            </label>
    <label>
                <input type="radio" value="3" disabled>
                3<br>
            </label>
    <label>
                <input type="radio" value="4" disabled>
                4<br>
            </label>
    <label>
                <input type="radio" value="6" disabled>
                6<br>
            </label>
</li>
<li id="customize-control-gdn theme_options-user_interest_boxes_type" class="customize-control customize-control-text" style="display: list-item;">
    <span class="customize-control-title">Post Boxes Type in Interested Items Section</span>
    <span class="description customize-control-description">Select size of boxes for your posts. If the Mix option is chosen, only the latest post will be boxed in the Vertical size box.</span>
    <label>
                <input type="radio" value="simple" disabled>
                <img src="' . JAW_ADMIN_URI . 'assets/images/blog_boxes/simple.png"><br>
            </label>
    <label>
                <input type="radio" value="vertical-small" disabled>
                <img src="' . JAW_ADMIN_URI . 'assets/images/blog_boxes/vertical-small.png"><br>
            </label>
    <label>
                <input type="radio" value="vertical" disabled>
                <img src="' . JAW_ADMIN_URI . 'assets/images/blog_boxes/vertical.png"><br>
            </label>
    <label>
                <input type="radio" value="mix" disabled>
                <img src="' . JAW_ADMIN_URI . 'assets/images/blog_boxes/mix.png"><br>
            </label>
</li>
<li id="customize-control-gdn theme_options-user_interest_title_h" class="customize-control customize-control-text" style="display: list-item;">
    <span class="customize-control-title">Post Titles - H tag type in Interested Items Section</span>
    <label>
                <input type="radio" value="1" disabled>
                h1<br>
            </label>
    <label>
                <input type="radio" value="2" disabled>
                h2<br>
            </label>
    <label>
                <input type="radio" value="3" disabled>
                h3<br>
            </label>
</li>
<li id="customize-control-gdn theme_options-user_interest_letter_excerpt_title" class="customize-control customize-control-text"
    style="display: list-item;">
    <label>
											<span class="customize-control-title">Post Title Length - Number of Characters in Interested Items Section</span>
											<span class="description customize-control-description">Enter a number of characters in post titles. <strong>Enter -1 for use of default value by Theme Options.</strong></span>
										<input type="text" value="-1" data-customize-setting-link="gdn theme_options[user_interest_letter_excerpt_title]">
				</label>
</li>
<li id="customize-control-gdn theme_options-user_interest_letter_excerpt" class="customize-control customize-control-text"
    style="display: list-item;">
    <label>
											<span class="customize-control-title">Post Excerpt Length - Number of Characters in Interested Items Section</span>
											<span class="description customize-control-description">Enter a number of characters in the preview content.  <strong>Enter -1 for use of default value by Theme Options.</strong></span>
										<input type="text" value="0" data-customize-setting-link="gdn theme_options[user_interest_letter_excerpt]">
				</label>
</li>
<li id="customize-control-gdn theme_options-user_comments_number_posts" class="customize-control customize-control-text"
    style="display: list-item;">
    <label>
											<span class="customize-control-title">Number of Posts in Interested Comments Section</span>
											<span class="description customize-control-description">Define a number of posts to be displayed in the Interested Comments section in My News Panel.</span>
										<input type="text" value="6" data-customize-setting-link="gdn theme_options[user_comments_number_posts]">
				</label>
</li>
<li id="customize-control-gdn theme_options-user_reading_list_number_posts" class="customize-control customize-control-text"
    style="display: list-item;">
    <label>
											<span class="customize-control-title">Number of Posts in Reading List Section</span>
											<span class="description customize-control-description">Define a number of posts to be displayed in the Reading List section in My News Panel.</span>
										<input type="text" value="6" data-customize-setting-link="gdn theme_options[user_reading_list_number_posts]">
				</label>
</li>
<li id="customize-control-gdn theme_options-user_history_posts" class="customize-control customize-control-text" style="display: list-item;">
    <label>
											<span class="customize-control-title">Number of Posts in History Section</span>
											<span class="description customize-control-description">Define a number of posts to be displayed in the history section (recently viewed posts) in the My News Panel.</span>
										<input type="text" value="4" data-customize-setting-link="gdn theme_options[user_history_posts]">
				</label>
</li>
<li id="customize-control-gdn theme_options-user_history_columns" class="customize-control customize-control-text" style="display: list-item;">
    <span class="customize-control-title">Number of Columns in History Section</span>
    <span class="description customize-control-description">Select a number of columns in the history section (recently viewed posts).</span>
    <label>
                <input type="radio" value="1" disabled>
                1<br>
            </label>
    <label>
                <input type="radio" value="2" disabled>
                2<br>
            </label>
    <label>
                <input type="radio" value="3" disabled>
                3<br>
            </label>
    <label>
                <input type="radio" value="4" disabled>
                4<br>
            </label>
    <label>
                <input type="radio" value="6" disabled>
                6<br>
            </label>
</li>
<li id="customize-control-gdn theme_options-user_history_boxes_type" class="customize-control customize-control-text" style="display: list-item;">
    <span class="customize-control-title">Post Boxes Type in History Section</span>
    <span class="description customize-control-description">Select size of boxes for your posts. If the Mix option is chosen, only the latest post will be boxed in the Vertical size box.</span>
    <label>
                <input type="radio" value="simple" disabled>
                <img src="' . JAW_ADMIN_URI . 'assets/images/blog_boxes/simple.png"><br>
            </label>
    <label>
                <input type="radio" value="vertical" disabled>
                <img src="' . JAW_ADMIN_URI . 'assets/images/blog_boxes/vertical.png"><br>
            </label>
    <label>
                <input type="radio" value="vertical-small" disabled>
                <img src="' . JAW_ADMIN_URI . 'assets/images/blog_boxes/vertical-small.png"><br>
            </label>
    <label>
                <input type="radio" value="mix" disabled>
                <img src="' . JAW_ADMIN_URI . 'assets/images/blog_boxes/mix.png"><br>
            </label>
</li>
<li id="customize-control-gdn theme_options-user_history_title_h" class="customize-control customize-control-text" style="display: list-item;">
    <span class="customize-control-title">Post Titles - H tag type in History Section</span>
    <label>
                <input type="radio" value="1" disabled>
                h1<br>
            </label>
    <label>
                <input type="radio" value="2" disabled>
                h2<br>
            </label>
    <label>
                <input type="radio" value="3" disabled>
                h3<br>
            </label>
</li>
<li id="customize-control-gdn theme_options-user_history_letter_excerpt_title" class="customize-control customize-control-text"
    style="display: list-item;">
    <label>
											<span class="customize-control-title">Post Title Length - Number of Characters in History Section</span>
											<span class="description customize-control-description">Enter a number of characters in post titles. <strong>Enter -1 for use of default value by Theme Options.</strong></span>
										<input type="text" value="-1" data-customize-setting-link="gdn theme_options[user_history_letter_excerpt_title]">
				</label>
</li>
<li id="customize-control-gdn theme_options-user_history_letter_excerpt" class="customize-control customize-control-text"
    style="display: list-item;">
    <label>
											<span class="customize-control-title">Post Excerpt Length - Number of Characters in History Section</span>
											<span class="description customize-control-description">Enter a number of characters in the preview content.  <strong>Enter -1 for use of default value by Theme Options.</strong></span>
										<input type="text" value="0" data-customize-setting-link="gdn theme_options[user_history_letter_excerpt]">
				</label>
</li>'
);
$options[] = array("type" => "headingend");

$options[] = array("name" => "Main Blog - only in PRO",
"type" => "headingstart");
$options[] = array(
'id' => 'get_pro_mainblog',
'type' => 'lite_info',
'name' => 'Additional Options Available in PRO version',
"text" => '<li id="customize-control-gdn theme_options-blog_order" class="customize-control customize-control-text" style="display: list-item;">
    <span class="customize-control-title">Post Order</span>
    <span class="description customize-control-description">Posts order (ascending or descending).</span>
    <label>
                <input type="radio" value="desc" disabled>
                Desc<br>
            </label>
    <label>
                <input type="radio" value="asc" disabled>
                Asc<br>
            </label>
</li>
<li id="customize-control-gdn theme_options-blog_orderby" class="customize-control customize-control-text" style="display: list-item;">
    <span class="customize-control-title">Post Order by</span>
    <span class="description customize-control-description">Order posts by parameters. Help on <a target="_blank" href="http://codex.wordpress.org/Class_Reference/WP_Query#Order_.26_Orderby_Parameters">Order by Parameters</a></span>
    <label>
                <input type="radio" value="date" disabled>
                Date<br>
            </label>
    <label>
                <input type="radio" value="none" disabled>
                None<br>
            </label>
    <label>
                <input type="radio" value="ID" disabled>
                ID<br>
            </label>
    <label>
                <input type="radio" value="author" disabled>
                Author<br>
            </label>
    <label>
                <input type="radio" value="title" disabled>
                Title<br>
            </label>
    <label>
                <input type="radio" value="modified" disabled>
                Modified<br>
            </label>
    <label>
                <input type="radio" value="parent" disabled>
                Parent<br>
            </label>
    <label>
                <input type="radio" value="rand" disabled>
                Rand<br>
            </label>
    <label>
                <input type="radio" value="comment_count" disabled>
                Comments count<br>
            </label>
</li>'
);
$options[] = array("type" => "headingend");

$options[] = array("name" => "Single Post - only in PRO",
"type" => "headingstart");
$options[] = array(
'id' => 'get_pro_singlepost',
'type' => 'lite_info',
'name' => 'Additional Options Available in PRO version',
"text" => '<li id="customize-control-gdn theme_options-post_use_user_likes" class="customize-control customize-control-text" style="display: list-item;">
    <span class="customize-control-title">Use User Likes</span>
    <span class="description customize-control-description">Decide whether or not to use User Likes.</span>
    <label>
                <input type="radio" value="0" disabled>
                Off<br>
            </label>
    <label>
                <input type="radio" value="1" disabled>
                On<br>
            </label>
</li>
<li id="customize-control-gdn theme_options-showup_video" class="customize-control customize-control-text" style="display: list-item;">
    <span class="customize-control-title">Stick Video</span>
    <span class="description customize-control-description">Decide whether or not to use stick video after scrolling.</span>
    <label>
                <input type="radio" value="0" disabled>
                Off<br>
            </label>
    <label>
                <input type="radio" value="1" disabled>
                On<br>
            </label>
</li>
<li id="customize-control-gdn theme_options-related_post_primary_source" class="customize-control customize-control-text"
    style="display: list-item;">
    <span class="customize-control-title">Primary Source for Related Posts</span>
    <span class="description customize-control-description">Specify a primary source for related posts.<br><br><strong>Category</strong> - picks posts from those that share at least one category with a current post.<br><br><strong>Tag</strong> - picks posts from those that include at least one the same tag as a current post.</span>
    <label>
                <input type="radio" value="cats" disabled>
                Category<br>
            </label>
    <label>
                <input type="radio" value="tags" disabled>
                Tag<br>
            </label>
</li>
<li id="customize-control-gdn theme_options-showup_post" class="customize-control customize-control-text" style="display: list-item;">
    <span class="customize-control-title">Show Up Advanced Post Suggestion</span>
    <span class="description customize-control-description">Decide whether or not to use show up post suggestion at the end of the single post.</span>
    <label>
                <input type="radio" value="0" disabled>
                Off<br>
            </label>
    <label>
                <input type="radio" value="1" disabled>
                On<br>
            </label>
</li>
<li id="customize-control-gdn theme_options-prevnextnav_show" class="customize-control customize-control-text" style="display: list-item;">
    <span class="customize-control-title">Show Previous &amp; Next Post Navigation</span>
    <span class="description customize-control-description">Decide whether or not to show Previous &amp; Next Post Navigation.</span>
    <label>
                <input type="radio" value="false" disabled>
                Hide<br>
            </label>
    <label>
                <input type="radio" value="true" disabled>
                Show<br>
            </label>
</li>
<li id="customize-control-gdn theme_options-prevnextnav_excerpt_title" class="customize-control customize-control-text"
    style="display: list-item;">
    <label>
											<span class="customize-control-title">Post Title Excerpt</span>
											<span class="description customize-control-description">Enter a number of characters for your previous &amp; next navigation post titles.</span>
										<input type="text" value="50" data-customize-setting-link="gdn theme_options[prevnextnav_excerpt_title]">
				</label>
</li>
<li id="customize-control-gdn theme_options-prevnextnav_thumbs" class="customize-control customize-control-text" style="display: list-item;">
    <span class="customize-control-title">Thumbnails</span>
    <span class="description customize-control-description">Decide whether or not to show thumbnails in previous &amp; next navigation.</span>
    <label>
                <input type="radio" value="0" disabled>
                Off<br>
            </label>
    <label>
                <input type="radio" value="1" disabled>
                On<br>
            </label>
</li>
<li id="customize-control-gdn theme_options-prevnextnav_meta" class="customize-control customize-control-text" style="display: list-item;">
    <span class="customize-control-title">Meta</span>
    <span class="description customize-control-description">Decide whether or not to show meta in previous &amp; next navigation.</span>
    <label>
                <input type="radio" value="0" disabled>
                Off<br>
            </label>
    <label>
                <input type="radio" value="1" disabled>
                On<br>
            </label>
</li>
<li id="customize-control-gdn theme_options-post_share_tw" class="customize-control customize-control-text" style="display: list-item;">
    <label>
                <input type="radio" value="0" disabled>
                Off<br>
            </label>
    <label>
                <input type="radio" value="1" disabled>
                On<br>
            </label>
</li>
<li id="customize-control-gdn theme_options-post_share_fb" class="customize-control customize-control-text" style="display: list-item;">
    <label>
                <input type="radio" value="0" disabled>
                Off<br>
            </label>
    <label>
                <input type="radio" value="1" disabled>
                On<br>
            </label>
</li>
<li id="customize-control-gdn theme_options-post_share_g" class="customize-control customize-control-text" style="display: list-item;">
    <label>
                <input type="radio" value="0" disabled>
                Off<br>
            </label>
    <label>
                <input type="radio" value="1" disabled>
                On<br>
            </label>
</li>
<li id="customize-control-gdn theme_options-post_share_pi" class="customize-control customize-control-text" style="display: list-item;">
    <label>
                <input type="radio" value="0" disabled>
                Off<br>
            </label>
    <label>
                <input type="radio" value="1" disabled>
                On<br>
            </label>
</li>
<li id="customize-control-gdn theme_options-post_share_re" class="customize-control customize-control-text" style="display: list-item;">
    <label>
                <input type="radio" value="0" disabled>
                Off<br>
            </label>
    <label>
                <input type="radio" value="1" disabled>
                On<br>
            </label>
</li>
<li id="customize-control-gdn theme_options-post_share_mail" class="customize-control customize-control-text" style="display: list-item;">
    <label>
                <input type="radio" value="0" disabled>
                Off<br>
            </label>
    <label>
                <input type="radio" value="1" disabled>
                On<br>
            </label>
</li>
<li id="customize-control-gdn theme_options-post_share_mail_content" class="customize-control customize-control-text"
    style="display: list-item;">
    <label>
											<span class="description customize-control-description">Enter a default email address you want to show.</span>
										<input type="text" value="youremail@addresshere.com" data-customize-setting-link="gdn theme_options[post_share_mail_content]">
				</label>
</li>
<li id="customize-control-gdn theme_options-fbcomments_switch" class="customize-control customize-control-text" style="display: list-item;">
    <span class="customize-control-title">Facebook Comments</span>
    <span class="description customize-control-description">Turn On the option to enable Facebook comments. If it is off, the Wordpress comments will be used.</span>
    <label>
                <input type="radio" value="0" disabled>
                Off<br>
            </label>
    <label>
                <input type="radio" value="1" disabled>
                On<br>
            </label>
</li>
<li id="customize-control-gdn theme_options-fbcomments_nuberofcomments" class="customize-control customize-control-text"
    style="display: list-item;">
    <label>
											<span class="customize-control-title">Number of Comments</span>
											<span class="description customize-control-description">Enter a number of comments to be displayed.</span>
										<input type="text" value="5" data-customize-setting-link="gdn theme_options[fbcomments_nuberofcomments]">
				</label>
</li>
<li id="customize-control-gdn theme_options-comments_antispam_toggle" class="customize-control customize-control-text"
    style="display: list-item;">
    <span class="customize-control-title">Enable an Antispam Question</span>
    <span class="description customize-control-description">Turn on this option to add an antispam question to comment box.</span>
    <label>
                <input type="radio" value="0" disabled>
                Off<br>
            </label>
    <label>
                <input type="radio" value="1" disabled>
                On<br>
            </label>
</li>
<li id="customize-control-gdn theme_options-comments_antispam_question" class="customize-control customize-control-text"
    style="display: list-item;">
    <label>
											<span class="customize-control-title">Comments Antispam Question</span>
											<span class="description customize-control-description">Fill in the field with a question to be answered by user before inserting comment.</span>
										<input type="text" value="1+1=" data-customize-setting-link="gdn theme_options[comments_antispam_question]">
				</label>
</li>
<li id="customize-control-gdn theme_options-comments_antispam_answer" class="customize-control customize-control-text"
    style="display: list-item;">
    <label>
											<span class="customize-control-title">Comments Antispam Answer</span>
											<span class="description customize-control-description">Insert a proper answer to the question above.</span>
										<input type="text" value="2" data-customize-setting-link="gdn theme_options[comments_antispam_answer]">
				</label>
</li>
<li id="customize-control-gdn theme_options-rating_maximal_value" class="customize-control customize-control-text" style="display: list-item;">
    <span class="customize-control-title">Rating Values</span>
    <span class="description customize-control-description">Select how to display ratings. You can choose from a decimal number with max. value 5 or 10, and percentage rating.<br><br><strong>IMPORTANT:</strong> In all cases, even if you have selected [0-5] or [0-10] option, it is necessary to enter values from 0 to 100 when you rate a post.<br><br><strong>NOTE:</strong> The maximum value after the slash (if [0-5] or [0-10] option selected) will or will not be displayed depending on your choice in the next option.</span>
    <label>
                <input type="radio" value="5" disabled>
                0 - 5<br>
            </label>
    <label>
                <input type="radio" value="10" disabled>
                0 - 10<br>
            </label>
    <label>
                <input type="radio" value="100" disabled>
                0% - 100%<br>
            </label>
</li>
<li id="customize-control-gdn theme_options-rating_maximal_value_show" class="customize-control customize-control-text"
    style="display: list-item;">
    <span class="customize-control-title">Show Maximal Rating Value</span>
    <span class="description customize-control-description">Show maximal rating value after the slash, e.g. 4.2<strong>/5</strong> or 8.9<strong>/10</strong>.</span>
    <label>
                <input type="radio" value="0" disabled>
                Off<br>
            </label>
    <label>
                <input type="radio" value="1" disabled>
                On<br>
            </label>
</li>
<li id="customize-control-gdn theme_options-tweet_me" class="customize-control customize-control-text" style="display: list-item;">
    <span class="customize-control-title">Tweet Me</span>
    <span class="description customize-control-description">Enable or Disable to show tweet button after highlighted text in the single post content. You can use our default image located in <span style="color: red">../gdaynews/images/tweetme.jpg</span></span>
    <label>
                <input type="radio" value="0" disabled>
                Off<br>
            </label>
    <label>
                <input type="radio" value="1" disabled>
                On<br>
            </label>
</li>
<li id="customize-control-gdn theme_options-tweet_me_img" class="customize-control customize-control-upload" style="display: list-item;">
    <label for="gdn theme_options[tweet_me_img]-button">
				<span class="customize-control-title">Button Image</span>
		</label>
    <div class="attachment-media-view">
        <div class="placeholder">
            No file selected
        </div>
        <div class="actions">
            <button type="button" class="button upload-button" id="gdn theme_options[tweet_me_img]-button">Select File</button>
            <div style="clear:both"></div>
        </div>
    </div>

</li>'
);
$options[] = array("type" => "headingend");

$options[] = array("name" => "Sidebar Manager - only in PRO",
"type" => "headingstart");
$options[] = array(
'id' => 'get_pro_sidebarmanager',
'type' => 'lite_info',
'name' => 'Additional Options Available in PRO version',
"text" => '<li id="customize-control-gdn theme_options-sidebars_bar_type" class="customize-control customize-control-text" style="display: list-item;">
    <span class="customize-control-title">Sidebars Individual Style</span>
    <span class="description customize-control-description">Select the heading style of custom sidebars you prefer. Click a preview icon to see where the setting appears. <span class="jaw-default">Default: General Settings &gt; Global &gt; Global Header Style</span></span>
    <label>
                <input type="radio" value="_default" disabled>
                <img src="' . JAW_ADMIN_URI . 'assets/images/default_title.png"><br>
            </label>
    <label>
                <input type="radio" value="bar_type_1" disabled>
                <img src="' . JAW_ADMIN_URI . 'assets/images/left_border.png"><br>
            </label>
    <label>
                <input type="radio" value="bar_type_2" disabled>
                <img src="' . JAW_ADMIN_URI . 'assets/images/top_bottom.png"><br>
            </label>
    <label>
                <input type="radio" value="bar_type_3" disabled>
                <img src="' . JAW_ADMIN_URI . 'assets/images/with_background.png"><br>
            </label>
    <label>
                <input type="radio" value="bar_type_4" disabled>
                <img src="' . JAW_ADMIN_URI . 'assets/images/bar_type_4.png"><br>
            </label>
    <label>
                <input type="radio" value="bar_type_big_left" disabled>
                <img src="' . JAW_ADMIN_URI . 'assets/images/title_big_left.png"><br>
            </label>
    <label>
                <input type="radio" value="bar_type_big_center" disabled>
                <img src="' . JAW_ADMIN_URI . 'assets/images/title_big_center.png"><br>
            </label>
    <label>
                <input type="radio" value="bar_type_big_right" disabled>
                <img src="' . JAW_ADMIN_URI . 'assets/images/title_big_right.png"><br>
            </label>
</li>
<li id="customize-control-gdn theme_options-fixed_sidebars" class="customize-control customize-control-text" style="display: list-item;">
    <span class="customize-control-title">Fixed Sidebar when Scrolling</span>
    <span class="description customize-control-description">When user scrolls down the page, the sidebar will be sticked to the bottom of a browser window.</span>
    <label>
                <input type="radio" value="fixed_off" disabled>
                Off<br>
            </label>
    <label>
                <input type="radio" value="fixed_on" disabled>
                On<br>
            </label>
</li>'
);
$options[] = array("type" => "headingend");

$options[] = array("name" => "Background Style - only in PRO",
"type" => "headingstart");
$options[] = array(
'id' => 'get_pro_backgroundstyle',
'type' => 'lite_info',
'name' => 'Additional Options Available in PRO version',
"text" => '<li id="customize-control-gdn theme_options-background_image" class="customize-control customize-control-upload" style="display: list-item;">
    <label for="gdn theme_options[background_image]-button">
				<span class="customize-control-title">Background Image</span>
		</label>
    <div class="attachment-media-view attachment-media-view-image landscape">
        <div class="thumbnail thumbnail-image">
        </div>
        <div class="actions">

            <button type="button" class="button remove-button">Remove</button>
            <button type="button" class="button upload-button control-focus" id="gdn theme_options[background_image]-button">Change File</button>
            <div style="clear:both"></div>

        </div>
    </div>

</li>
<li id="customize-control-gdn theme_options-background_image_size" class="customize-control customize-control-text" style="display: list-item;">
    <span class="customize-control-title">Background Image Size</span>
    <span class="description customize-control-description">Choose a way to apply a background image. <br><br>NOTE: Result will vary depending on your selection in the "Background Image Repeat".</span>
    <label>
                <input type="radio" value="auto" disabled>
                Original image size<br>
            </label>
    <label>
                <input type="radio" value="cover" disabled>
                Stretch to Fullscreen<br>
            </label>
</li>
<li id="customize-control-gdn theme_options-background_image_repeat" class="customize-control customize-control-text"
    style="display: list-item;">
    <span class="customize-control-title">Background Image Repeat</span>
    <span class="description customize-control-description">Choose whether or not to repeat a background image.</span>
    <label>
                <input type="radio" value="no-repeat" disabled>
                No repeat<br>
            </label>
    <label>
                <input type="radio" value="repeat" disabled>
                Repeat<br>
            </label>
</li>
<li id="customize-control-gdn theme_options-background_image_attachment" class="customize-control customize-control-text"
    style="display: list-item;">
    <span class="customize-control-title">Background Image Style</span>
    <span class="description customize-control-description">Choose whether to allow scrolling a background image or to set it fixed.</span>
    <label>
                <input type="radio" value="scroll" disabled>
                Scroll<br>
            </label>
    <label>
                <input type="radio" value="fixed" disabled>
                Fixed<br>
            </label>
</li>
<li id="customize-control-gdn theme_options-background_image_pattern" class="customize-control customize-control-text"
    style="display: list-item;">
    <span class="customize-control-title">Pattern Over Background Image</span>
    <span class="description customize-control-description">Choose a pattern to be applied over a background image, or disable any pattern.</span>
    <label>
                <input type="radio" value="no-pattern" disabled>
                Off<br>
            </label>
    <label>
                <input type="radio" value="pattern" disabled>
                Dark Pattern<br>
            </label>
    <label>
                <input type="radio" value="white-pattern" disabled>
                Bright Pattern<br>
            </label>
</li>'
);
$options[] = array("type" => "headingend");

$options[] = array("name" => "Custom Stylesheets - only in PRO",
"type" => "headingstart");
$options[] = array(
'id' => 'get_pro_customstyles',
'type' => 'lite_info',
'name' => 'Additional Options Available in PRO version',
"text" => '			<li id="customize-control-gdn theme_options-custom_css" class="customize-control customize-control-textarea" style="display: list-item;"><div class="customize-control-notifications-container" style=""><ul>
				
			</ul></div>
							<label>
											<span class="description customize-control-description">Simply add some CSS to your theme by adding it to this field.</span>
										<textarea rows="5" disabled></textarea>
				</label>
						</li><li id="customize-control-gdn theme_options-custom_css_desktop" class="customize-control customize-control-textarea" style="display: list-item;"><div class="customize-control-notifications-container" style=""><ul>
				
			</ul></div>
							<label>
											<span class="description customize-control-description">Your custom CSS styles from this box will take effect on desktops only.</span>
										<textarea rows="5" disabled></textarea>
				</label>
						</li><li id="customize-control-gdn theme_options-custom_css_tablet" class="customize-control customize-control-textarea" style="display: list-item;"><div class="customize-control-notifications-container" style=""><ul>
				
			</ul></div>
							<label>
											<span class="description customize-control-description">Your custom CSS styles from this box will take effect on tablet PCs only.</span>
										<textarea rows="5" disabled></textarea>
				</label>
						</li><li id="customize-control-gdn theme_options-custom_css_mobile" class="customize-control customize-control-textarea" style="display: list-item;"><div class="customize-control-notifications-container" style=""><ul>
				
			</ul></div>
							<label>
											<span class="description customize-control-description">Your custom CSS styles from this box will take effect on mobile phones only.</span>
										<textarea rows="5" disabled></textarea>
				</label>
						</li>'
);
$options[] = array("type" => "headingend");

$options[] = array("name" => "Custom Scripts - only in PRO",
"type" => "headingstart");
$options[] = array(
'id' => 'get_pro_customscripts',
'type' => 'lite_info',
'name' => 'Additional Options Available in PRO version',
"text" => '			<li id="customize-control-gdn theme_options-custom_js_tag_header" class="customize-control customize-control-textarea" style="display: list-item;">
							<label>
											<span class="customize-control-title">Custom Javascript Tags in Header</span><div class="customize-control-notifications-container" style=""><ul>
				
			</ul></div>
											<span class="description customize-control-description">Simply add some javascript to your theme by adding it to this field. For custom code add \'script\' tag</span>
										<textarea rows="5" disabled></textarea>
				</label>
						</li><li id="customize-control-gdn theme_options-custom_js_header" class="customize-control customize-control-textarea" style="display: list-item;">
							<label>
											<span class="customize-control-title">Custom Javascript Header</span><div class="customize-control-notifications-container" style=""><ul>
				
			</ul></div>
											<span class="description customize-control-description">Simply add some javascript to your theme by adding it to this field.</span>
										<textarea rows="5" disabled></textarea>
				</label>
						</li><li id="customize-control-gdn theme_options-custom_js" class="customize-control customize-control-textarea" style="display: list-item;">
							<label>
											<span class="customize-control-title">Custom Javascript Footer</span><div class="customize-control-notifications-container" style=""><ul>
				
			</ul></div>
											<span class="description customize-control-description">Simply add some javascript to your theme by adding it to this field.</span>
										<textarea rows="5" disabled></textarea>
				</label>
						</li>'
);
$options[] = array("type" => "headingend");

$options[] = array("name" => "10 More Banner Possitions - only in PRO",
"type" => "headingstart");
$options[] = array(
'id' => 'get_pro_morebanners',
'type' => 'lite_info',
'name' => 'Additional Options Available in PRO version',
"text" => '<li id="customize-control-gdn theme_options-banner_leader_show" class="customize-control customize-control-text" style="display: list-item;">
    <span class="customize-control-title">Show Banner Type</span>
    <span class="description customize-control-description">Select a kind of source of the banner. The appropriate options appear after clicking a button.</span>
    <label>
                <input type="radio" value="0" disabled>
                Off<br>
            </label>
    <label>
                <input type="radio" value="image" disabled>
                Image<br>
            </label>
    <label>
                <input type="radio" value="google" disabled>
                Google<br>
            </label>
</li>
<li id="customize-control-gdn theme_options-banner_leader_image" class="customize-control customize-control-upload"
    style="display: list-item;">
    <label for="gdn theme_options[banner_leader_image]-button">
				<span class="customize-control-title">Banner Image</span>
		</label>
    <div class="attachment-media-view">
        <div class="placeholder">
            No file selected
        </div>
        <div class="actions">


            <button type="button" class="button upload-button" id="gdn theme_options[banner_leader_image]-button">Select File</button>

            <div style="clear:both"></div>
        </div>
    </div>

</li>
<li id="customize-control-gdn theme_options-banner_leader_link" class="customize-control customize-control-text" style="display: list-item;">
    <label>
											<span class="customize-control-title">Target Link</span>
											<span class="description customize-control-description">Insert a target URL for the Leaderboard banner.</span>
										<input type="text" value="#" data-customize-setting-link="gdn theme_options[banner_leader_link]">
				</label>
</li>
<li id="customize-control-gdn theme_options-banner_leader_link_target" class="customize-control customize-control-text"
    style="display: list-item;">
    <span class="customize-control-title">Banner Link Target</span>
    <span class="description customize-control-description">Specify where to open an advertise link.</span>
    <label>
                <input type="radio" value="_blank" disabled>
                _blank<br>
            </label>
    <label>
                <input type="radio" value="_top" disabled>
                _top<br>
            </label>
    <label>
                <input type="radio" value="_parent" disabled>
                _parent<br>
            </label>
    <label>
                <input type="radio" value="_self" disabled>
                _self<br>
            </label>
</li>
<li id="customize-control-gdn theme_options-banner_leader_google" class="customize-control customize-control-textarea"
    style="display: list-item;">
    <label>
											<span class="customize-control-title">Google Ads Code</span><div class="customize-control-notifications-container" style=""><ul>
				
			</ul></div>
											<span class="description customize-control-description">Insert the Google Ads Code. <b>Notice: You may have at most 3 google ads on one page.</b></span>
										<textarea rows="5" disabled></textarea>
				</label>
</li>'
);
$options[] = array("type" => "headingend");

$options[] = array("name" => "Error 404 Page - only in PRO",
"type" => "headingstart");
$options[] = array(
'id' => 'get_pro_404',
'type' => 'lite_info',
'name' => 'Additional Options Available in PRO version',
"text" => '			<li id="customize-control-gdn theme_options-error_custom_html" class="customize-control customize-control-textarea" style="display: list-item;">
							<label>
											<span class="customize-control-title">404 HTML</span><div class="customize-control-notifications-container" style=""><ul>
				
			</ul></div>
											<span class="description customize-control-description">Insert a HTML code of the content you want to appear instead of common browser page when the 404 error occurs.</span>
										<textarea rows="5" disabled></textarea>
				</label>
						</li>'
);
$options[] = array("type" => "headingend");

// 

    /* END ************** END *************** END ******************** */

    $menu['welcome'] = array('submenu' => 0, 'name' => 'Welcome', "icon" => "jaw-icon-home2");
    $menu['generalsettings'] = array('submenu' => 0, 'name' => 'General Settings', "icon" => "jaw-icon-settings-new2");
    $menu['headersettings'] = array('submenu' => 1, 'name' => 'Header Settings', "icon" => "jaw-icon-header");
    $menu['topbar'] = array('submenu' => 1, 'name' => 'Top Bar');
    $menu['undertopbararea'] = array('submenu' => 1, 'name' => 'Under Top Bar Area');
    $menu['logoarea'] = array('submenu' => 1, 'name' => 'Logo Area');
    $menu['menu'] = array('submenu' => 1, 'name' => 'Menu');
    $menu['abovecontentarea'] = array('submenu' => 1, 'name' => 'Above Content Area');
    $menu['breadcrumbs'] = array('submenu' => -1, 'name' => 'Breadcrumbs');
    $menu['footer'] = array('submenu' => 0, 'name' => 'Footer Settings', "icon" => "jaw-icon-footer");
    $menu['mynews'] = array('submenu' => 0, 'name' => 'My News', "icon" => "jaw-icon-user");
    $menu['blogposts'] = array('submenu' => 1, 'name' => 'Blog & Posts', "icon" => "jaw-icon-blog");
    $menu['postssettings'] = array('submenu' => 1, 'name' => 'Posts Settings');
    $menu['mainblog'] = array('submenu' => -1, 'name' => 'Main Blog');
    $menu['singlepost'] = array('submenu' => 0, 'name' => 'Single Post', "icon" => "jaw-icon-post");
    if (is_plugin_active('jaw-customposts/jawcustomposts.php')) {
        $menu['jawgallerysettings'] = array('submenu' => 0, 'name' => 'JaW Gallery Settings', "icon" => "jaw-icon-images2");
    }
    if (class_exists('BuddyPress')) {
        $menu['buddypress'] = array('submenu' => 0, 'name' => 'BuddyPress', "icon" => "jaw-icon-users4");
    }
    $menu['sidebarmanager'] = array('submenu' => 0, 'name' => 'Sidebar Manager', "icon" => "jaw-icon-sidebar");
    $menu['customstylesheets'] = array('submenu' => 0, 'name' => 'Custom Stylesheets', "icon" => "jaw-icon-file-css");
    $menu['customscripts'] = array('submenu' => 0, 'name' => 'Custom Scripts', "icon" => "jaw-icon-dollar");
    $menu['stylingoptions'] = array('submenu' => 1, 'name' => 'Styling Options', "icon" => "jaw-icon-brush");
    $menu['backgroundstyle'] = array('submenu' => 1, 'name' => 'Background Style');
    $menu['colorsettings'] = array('submenu' => 1, 'name' => 'Color Settings');
    $menu['other'] = array('submenu' => -1, 'name' => 'Other');
    $menu['typographyoptions'] = array('submenu' => 0, 'name' => 'Typography Options', "icon" => "jaw-icon-font");
    $menu['advertisementd'] = array('submenu' => 1, 'name' => 'Advertisement', "icon" => "jaw-icon-ad");
    $menu['background'] = array('submenu' => 1, 'name' => 'Background');
    $menu['leaderboard'] = array('submenu' => 1, 'name' => 'Leaderboard');
    $menu['header-besidelogo'] = array('submenu' => 1, 'name' => 'Header - Beside Logo');
    $menu['skyscraperright'] = array('submenu' => 1, 'name' => 'Skyscraper Right');
    $menu['skyscraperleft'] = array('submenu' => 1, 'name' => 'Skyscraper Left');
    $menu['inpost-top'] = array('submenu' => 1, 'name' => 'In Post - Top');
    $menu['inpost-bottom'] = array('submenu' => 1, 'name' => 'In Post - Bottom');
    $menu['inpost-onside'] = array('submenu' => 1, 'name' => 'In Post - On Side');
    $menu['ingallery'] = array('submenu' => 1, 'name' => 'In Gallery');
    $menu['custombanner1'] = array('submenu' => 1, 'name' => 'Custom Banner 1');
    $menu['custombanner2'] = array('submenu' => 1, 'name' => 'Custom Banner 2');
    $menu['custombanner3'] = array('submenu' => 1, 'name' => 'Custom Banner 3');
    $menu['custombanner4'] = array('submenu' => 1, 'name' => 'Custom Banner 4');
    $menu['custombanner5'] = array('submenu' => 1, 'name' => 'Custom Banner 5');
    $menu['custombanner6'] = array('submenu' => 1, 'name' => 'Custom Banner 6');
    $menu['custombanner7'] = array('submenu' => 1, 'name' => 'Custom Banner 7');
    $menu['custombanner8'] = array('submenu' => 1, 'name' => 'Custom Banner 8');
    $menu['custombanner9'] = array('submenu' => 1, 'name' => 'Custom Banner 9');
    $menu['custombanner10'] = array('submenu' => -1, 'name' => 'Custom Banner 10');
    $menu['error404'] = array('submenu' => 0, 'name' => 'Error 404', "icon" => "jaw-icon-warning");
    $menu['backupoptions'] = array('submenu' => 0, 'name' => 'Backup', "icon" => "jaw-icon-spinner11");
    $menu['demodata'] = array('submenu' => 0, 'name' => 'Demo', "icon" => "jaw-icon-folder-download");
    $menu['translations'] = array('submenu' => 0, 'name' => 'Translations', "icon" => "jaw-icon-type");
    $menu['apikeys'] = array('submenu' => 0, 'name' => 'API Keys', "icon" => "jaw-icon-rocket");
