<?php //  ?>
<?php do_action('jaw_under_topbar'); ?>
            <?php
//LOGO area
if(in_array(jwOpt::get_option('header_style','l-center'), array('l-left', 'l-right', 'l-center', 'l-a', 'a-l', '4-l-4', 'l-4-4', '4-4-l'))){
    echo jaw_get_template_part('header-logo-area',array('header','logo_area'));
} ?>
<?php do_action('jaw_before_menuwrapper'); ?>
              <?php // MENU ?>
                <?php
$class = array();

$class[] = 'jw-menu-align-' . jwOpt::get_option('menu_align', 'left');

switch (jwOpt::get_option('menu_bar_fix', '0')) {
    case '1': $class[] = 'jaw-fixed-bar';
        break;
    case '2': $class[] = 'jaw-fixed-bar';
        $class[] = 'jaw-fixed-bar-smart';
        break;
}
if(jwOpt::get_option('logo_in_menu_bar_fix', '0') && jwOpt::get_option('menu_bar_fix','1')){
    $class[] = 'jw-fixed-menu-logo';
}

$class[] = 'jw-header-style-' . jwOpt::get_option('header_style', 'l-center');

$class[] = 'jw-use-user-panel-' . jwOpt::get_option('use_user_panel', '1');

$class[] = 'jw-menu-style-' . jwOpt::get_option('menu_style_type', 'classic');

$class[] = 'menu-preset-' . jwOpt::checkDefaultPreset(array(jwOpt::get_option('menu_color', '_default'), jwOpt::get_option('main_color')),'color');

$class[] = 'sub-menu-preset-' . jwOpt::checkDefaultPreset(array(jwOpt::get_option('submenu_color', '_default'), jwOpt::get_option('menu_color', '_default'), jwOpt::get_option('main_color')),'color');
    
$class[] = 'menu-left-preset-' . jwOpt::checkDefaultPreset(array(jwOpt::get_option('menu_left_color', '_default'), jwOpt::get_option('menu_color'), jwOpt::get_option('main_color')), 'color');

$class[] = 'jw-fullwidth-' . jwOpt::get_option('menu_fullwidth', 'off');

$class[] =  'user-panel-search-'.jwOpt::get_option('user-panel-search', '0');

$class[] =  'user-panel-submit-message-'.jwOpt::get_option('user-panel-submit-message', '0');
        
        ?>
                  <div class="row main-menu <?php echo esc_attr(implode(' ', $class)); ?>">
                    <div class="<?php echo esc_attr(jwLayout::col_class(12)); ?> jaw-menu-col">
                      <div class="jw-menu-wrapper">
                        <?php
        if ( has_nav_menu( 'primary_navigation' ) ) {
            
            echo jwUtils::customizer_preview_preset("Menu - Left Area", jwOpt::checkDefaultPreset(array(jwOpt::get_option('menu_left_color', '_default'), jwOpt::get_option('main_color')), 'color'), array(
                'image' => 'mynews_colors.jpg',
                'title' => 'Menu Left Area colors'
                ),  'right');
                
                
                //search
                if (jwOpt::get_option('user-panel-search', '1') != '0') {
                    echo '<div class="jaw-user-panel-search jaw-popup-serarch show-on-' . jwOpt::get_option('user-panel-search', '0') . '">';
                    get_search_form();
                    echo '</div>';
            }
            
            //submit message button
            if (jwOpt::get_option('user-panel-submit-message', '0') != '0') {
                echo '<div class="jaw-user-panel-submit-message show-on-' . esc_attr(jwOpt::get_option('user-panel-message', '0')) . '">';
                echo '<div class="jaw-user-panel-submit-message-wrapper">';
                echo '<div class="jaw-user-button jaw_button jaw-user-logout btn">';
                echo '<a href="#" class="popmake-'.esc_attr(jwOpt::get_option('user-panel-submit-message-modal_id','1')).'" >';
                echo jwOpt::get_option('user-panel-submit-message-style','');
                echo '</a>';
                echo '</div>';
                echo '</div>';
                echo '</div>';
            }
// 
            
            echo jwUtils::customizer_preview_preset("Menu", jwOpt::checkDefaultPreset(array(jwOpt::get_option('menu_color', '_default'), jwOpt::get_option('main_color')),'color'), array(
                'image' => 'menu_colors.jpg',
                'title' => 'Menu colors'
                ), 'left');
                
                // LOGO in menu
                if(jwOpt::get_option('header_style','l-center') == 'in-menu'){
                    echo jaw_get_template_part('in-menu',array('header','logo_area'));
            }
            //LOGO in fixed menu
            if(jwOpt::get_option('logo_in_menu_bar_fix','1') && jwOpt::get_option('menu_bar_fix','1')){
                echo jaw_get_template_part('in-fixed-menu',array('header','logo_area'));
            }
            
            //menu
            echo jaw_get_template_part(jwOpt::get_option('menu_style_type', 'classic'), array('header', 'menu'));
            
        } else {
            return jwUtils::jaw_msg(sprintf(esc_html__('You have not set Primary Navigation in Menu Settings. Please %sclick here%s for setting it up.','gdn-theme'),'<a href="'.admin_url( 'nav-menus.php').'"','</a>'),"warning");
            }
        ?>
        <?php do_action("jaw_after_menu_wrapper"); ?>
                        </div><!-- END jw-menu-wrapper -->
                        </div>
                    </div>

                    <?php // MOBILE menu ?>
                        <?php
        $mobile_class = array();
        $mobile_class[] = 'mobile-menu-preset-' .  jwOpt::checkDefaultPreset(array(jwOpt::get_option('mobile_menu_color', '_default'), jwOpt::get_option('menu_color', '_default'), jwOpt::get_option('main_color')),'color');
            ?>
                        <div class="row mobile-main-menu-bar <?php echo esc_attr(implode(' ', $mobile_class)); ?>">
                            <?php
            
            // logo in menu (mobile)
            if(jwOpt::get_option('header_style','l-center') == 'in-menu'){
                echo jaw_get_template_part('in-mobile-menu',array('header','logo_area'));
        }
        
        $mobile_class = array();
        if(jwOpt::get_option('mobile_menu_bar_fix', '1')){
            $mobile_class[] = 'jaw-mobile-fixed-bar';
        }
        ?>
                            <div class="jw-mobile-menu-wrapper">
                                <div class="jw-mobile-menu-bar <?php echo esc_attr(implode(' ',$mobile_class)); ?>">
                                <div class="jw-open-mobile-menu jw-mobile-close">
                                    <i class="jaw-icon-menu2"></i>
                                </div>
                                <?php do_action("jaw_mobile_menu_wrapper"); ?>
                                <?php if(jwOpt::get_option('mobile_menu_show_login', '1')) { ?>
                                    <div class="jw-open-login jw-mobile-close">
                                        <i class="jaw-icon-user"></i>
                                    </div>
                                <?php } ?>
                                <?php   if (jwOpt::get_option('mobile_menu_show_search', '1')) {  ?>
                                    <div class="jw-mobile-search closed">
                                        <div class="open-search-button">
                                        <i class="jaw-icon-search3"></i>
                                        </div>
                                        <?php get_search_form(); ?>
                                    </div>
                                <?php } ?>
                                </div>
                            </div>
                        </div>


                        <?php
        //LOGO area
        if(jwOpt::get_option('header_style','l-center') == 'under-menu'){
            echo jaw_get_template_part('header-logo-area',array('header','logo_area'));
        } ?>


                            <?php // MYnews ?>
                            <?php
        if (is_user_logged_in() && (jwOpt::get_option('use_user_panel', '1') || jwOpt::get_option('top_bar_user_content', '1'))) {
            $class = array();
            $class[] = 'post-preset-'.jwOpt::checkDefaultPreset(array(jwOpt::get_option('my_news_color','_default'), jwOpt::get_option('main_color')),'color');
                $class[] = 'user-content-preset-'.jwOpt::checkDefaultPreset(array(jwOpt::get_option('my_news_color','_default'), jwOpt::get_option('main_color')),'color');
                    $class[] = 'jw-menu-fixed-'.jwOpt::get_option('menu_fullwidth', 'off');
                    ?>
                                <div class="jaw-user-panel-content <?php echo esc_attr(implode(' ',$class)); ?> ">
                                <div class="jaw-user-item jaw-user-loader">
                                    <div class="jaw-user-content row"><i class="jaw-icon-spinner2 jaw-spinit"></i></div>
                                </div>
                                </div>
                                <?php
            }